Re: [JENKINS] Solr-reference-guide-master - Build # 20305 - Failure

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Solr-reference-guide-master - Build # 20305 - Failure

Ishan Chattopadhyaya
I have no clue from this why this failed. But, given I pushed ref-guide change recently, it could be SOLR-13662 :-(
I'll take a look tonight!

On Mon, Nov 18, 2019 at 10:02 PM Apache Jenkins Server <[hidden email]> wrote:
Build: https://builds.apache.org/job/Solr-reference-guide-master/20305/

Log:
Started by timer
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on websites (git-websites svn-websites) in workspace /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master
No credentials specified
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://gitbox.apache.org/repos/asf/lucene-solr.git # timeout=10
Cleaning workspace
 > git rev-parse --verify HEAD # timeout=10
Resetting working tree
 > git reset --hard # timeout=10
 > git clean -fdx # timeout=10
Fetching upstream changes from https://gitbox.apache.org/repos/asf/lucene-solr.git
 > git --version # timeout=10
 > git fetch --tags --progress -- https://gitbox.apache.org/repos/asf/lucene-solr.git +refs/heads/*:refs/remotes/origin/*
 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
 > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision 0857bb60d3bb5bd6d8d851ce2e01edd9bde310ea (refs/remotes/origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 0857bb60d3bb5bd6d8d851ce2e01edd9bde310ea
Commit message: "SOLR-13662, SOLR-13822: Fixing bug with refresh API, un-ignoring the test and new reference guide on Package Management"
 > git rev-list --no-walk 0857bb60d3bb5bd6d8d851ce2e01edd9bde310ea # timeout=10
No emails were triggered.
[Solr-reference-guide-master] $ /bin/bash -xe /tmp/jenkins8774107111781570038.sh
+ bash dev-tools/scripts/jenkins.build.ref.guide.sh
+ set -e
+ RVM_PATH=/home/jenkins/.rvm
+ RUBY_VERSION=ruby-2.5.1
+ GEMSET=solr-refguide-gemset
+ curl -sSL https://get.rvm.io
+ bash -s -- --ignore-dotfiles stable
Turning on ignore dotfiles mode.
Downloading https://github.com/rvm/rvm/archive/1.29.9.tar.gz
Downloading https://github.com/rvm/rvm/releases/download/1.29.9/1.29.9.tar.gz.asc
gpg: Signature made Wed 10 Jul 2019 08:31:02 AM UTC
gpg:                using RSA key 7D2BAF1CF37B13E2069D6956105BD0E739499BDB
gpg: Good signature from "Piotr Kuczynski <[hidden email]>" [unknown]
gpg: WARNING: This key is not certified with a trusted signature!
gpg:          There is no indication that the signature belongs to the owner.
Primary key fingerprint: 7D2B AF1C F37B 13E2 069D  6956 105B D0E7 3949 9BDB
GPG verified '/home/jenkins/.rvm/archives/rvm-1.29.9.tgz'
Upgrading the RVM installation in /home/jenkins/.rvm/
Upgrade of RVM in /home/jenkins/.rvm/ is complete.

<warn>Thanks for installing RVM 🙏</warn>
Please consider donating to our open collective to help us maintain RVM.

👉  Donate: <code>https://opencollective.com/rvm/donate</code>


+ set +x
Running 'source /home/jenkins/.rvm/scripts/rvm'
Running 'rvm cleanup all'
Cleaning up rvm archives
Cleaning up rvm repos
Cleaning up rvm src
Cleaning up rvm log
Cleaning up rvm tmp
Cleaning up rvm gemsets
Cleaning up rvm links
Cleanup done.
Running 'rvm autolibs disable'
Running 'rvm install ruby-2.5.1'
Already installed ruby-2.5.1.
To reinstall use:

    rvm reinstall ruby-2.5.1

Running 'rvm gemset create solr-refguide-gemset'
ruby-2.5.1 - #gemset created /home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset
ruby-2.5.1 - #generating solr-refguide-gemset wrappers.......
Running 'rvm ruby-2.5.1@solr-refguide-gemset'
Using /home/jenkins/.rvm/gems/ruby-2.5.1 with gemset solr-refguide-gemset
Running 'gem install --force --version 3.5.0 jekyll'
Successfully installed jekyll-3.5.0
Parsing documentation for jekyll-3.5.0
Done installing documentation for jekyll after 0 seconds
1 gem installed
Running 'gem uninstall --all --ignore-dependencies asciidoctor'
Removing asciidoctor
Removing asciidoctor-safe
Successfully uninstalled asciidoctor-1.5.6.2
Running 'gem install --force --version 2.0.10 asciidoctor'
Successfully installed asciidoctor-2.0.10
Parsing documentation for asciidoctor-2.0.10
Installing ri documentation for asciidoctor-2.0.10
Done installing documentation for asciidoctor after 2 seconds
1 gem installed
Running 'gem install --force --version 3.0.0 jekyll-asciidoc'
Successfully installed asciidoctor-2.0.10
Successfully installed jekyll-asciidoc-3.0.0
Parsing documentation for asciidoctor-2.0.10
Installing ri documentation for asciidoctor-2.0.10
Parsing documentation for jekyll-asciidoc-3.0.0
Done installing documentation for asciidoctor, jekyll-asciidoc after 2 seconds
2 gems installed
Running 'gem install --force --version 4.0.1 slim'
Successfully installed slim-4.0.1
Parsing documentation for slim-4.0.1
Done installing documentation for slim after 0 seconds
1 gem installed
Running 'gem install --force --version 2.0.10 tilt'
Successfully installed tilt-2.0.10
Parsing documentation for tilt-2.0.10
Done installing documentation for tilt after 0 seconds
1 gem installed
Running 'gem install --force --version 1.1.5 concurrent-ruby'
Successfully installed concurrent-ruby-1.1.5
Parsing documentation for concurrent-ruby-1.1.5
Done installing documentation for concurrent-ruby after 1 seconds
1 gem installed
+ ant clean build-site build-pdf
Buildfile: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/solr-ref-guide/build.xml

clean:

build-init:
    [mkdir] Created dir: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content
     [echo] Copying all non template files from src ...
     [copy] Copying 487 files to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content
     [echo] Copy (w/prop replacement) any template files from src...
     [copy] Copying 1 file to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content

ivy-availability-check:
[loadresource] Do not set property disallowed.ivy.jars.list as its length is 0.

-ivy-fail-disallowed-ivy-version:

ivy-fail:

ivy-configure:
[ivy:configure] :: Apache Ivy 2.4.0 - 20141213170938 :: http://ant.apache.org/ivy/ ::
[ivy:configure] :: loading settings :: file = /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/lucene/top-level-ivy-settings.xml

resolve:

build-tools-jar:
    [mkdir] Created dir: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/classes
    [javac] Compiling 4 source files to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/classes
    [javac] warning: No processor claimed any of these annotations: java.base/java.lang.SuppressWarnings
    [javac] 1 warning
     [copy] Copying 1 file to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/classes
      [jar] Building jar: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/solr-ref-guide-tools.jar

build-nav-data-files:
     [java] Building up tree of all known pages
     [java] WARNING: An illegal reflective access operation has occurred
     [java] WARNING: Illegal reflective access by org.jruby.util.SecurityHelper (file:/home/jenkins/.ivy2/cache/org.asciidoctor/asciidoctor-ant/jars/asciidoctor-ant-1.6.2.jar) to field java.lang.reflect.Field.modifiers
     [java] WARNING: Please consider reporting this to the maintainers of org.jruby.util.SecurityHelper
     [java] WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
     [java] WARNING: All illegal access operations will be denied in a future release
     [java] Creating /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content/_data/pdf-main-body.adoc
     [java] Creating /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content/_data/scrollnav.json
     [java] Creating /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content/_data/sidebar.json

-build-site:
     [echo] Running Jekyll...
     [exec] /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems/specification.rb:746:in `_all': pid: 4754 nil spec! included in [#<Gem::StubSpecification:0x000055ada26e2f80 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/addressable-2.6.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ae09e8 @name="addressable", @version=#<Gem::Version "2.6.0">, @platform="ruby", @extensions=[], @full_name="addressable-2.6.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a854f8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/addressable-2.6.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Addressable is a replacement for the URI implementation that is part of\nRuby's standard library. It more closely conforms to the relevant RFCs and\nadds support for IRIs and URI templates.\n", @email="[hidden email]", @homepage="https://github.com/sporkmonger/addressable", @name="addressable", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="URI Implementation", @version=#<Gem::Version "2.6.0">, @authors=["Bob Aman"], @bindir="bin", @cert_chain=[], @date=2019-01-18 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="public_suffix" requirements="< 4.0, >= 2.0.2">, <Gem::Dependency type=:development name="bundler" requirements="< 3.0, >= 1.0">], @executables=[], @extensions=[], @extra_rdoc_files=["README.md"], @files=["README.md"], @licenses=["Apache-2.0"], @metadata={}, @platform="ruby", @rdoc_options=["--main", "README.md"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a84800 @requirements=[[">=", #<Gem::Version "2.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a850c0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil addressable-2.6.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e2080 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/asciidoctor-2.0.10.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad4198 @name="asciidoctor", @version=#<Gem::Version "2.0.10">, @platform="ruby", @extensions=[], @full_name="asciidoctor-2.0.10", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a61300 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/asciidoctor-2.0.10.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="A fast, open source text processor and publishing toolchain for converting AsciiDoc content to HTML 5, DocBook 5, and other formats.", @email=["[hidden email]"], @homepage="https://asciidoctor.org", @name="asciidoctor", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="An implementation of the AsciiDoc text processor and publishing toolchain", @version=#<Gem::Version "2.0.10">, @authors=["Dan Allen", "Sarah White", "Ryan Waldron", "Jason Porter", "Nick Hengeveld", "Jeremy McAnally"], @bindir="bin", @cert_chain=[], @date=2018-03-20 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="asciimath" requirements="~> 1.0.0">, <Gem::Dependency type=:development name="coderay" requirements="~> 1.1.0">, <Gem::Dependency type=:development name="concurrent-ruby" requirements="~> 1.1.0">, <Gem::Dependency type=:development name="cucumber" requirements="~> 3.1.0">, <Gem::Dependency type=:development name="erubis" requirements="~> 2.7.0">, <Gem::Dependency type=:development name="haml" requirements="~> 5.0.0">, <Gem::Dependency type=:development name="minitest" requirements="~> 5.11.0">, <Gem::Dependency type=:development name="nokogiri" requirements="~> 1.10.0">, <Gem::Dependency type=:development name="rake" requirements="~> 12.3.0">, <Gem::Dependency type=:development name="rouge" requirements="~> 3.3.0">, <Gem::Dependency type=:development name="rspec-expectations" requirements="~> 3.8.0">, <Gem::Dependency type=:development name="slim" requirements="~> 4.0.0">, <Gem::Dependency type=:development name="tilt" requirements="~> 2.0.0">], @executables=["asciidoctor"], @extensions=[], @extra_rdoc_files=[], @files=["bin/asciidoctor"], @licenses=["MIT"], @metadata={"bug_tracker_uri"=>"https://github.com/asciidoctor/asciidoctor/issues", "changelog_uri"=>"https://github.com/asciidoctor/asciidoctor/blob/master/CHANGELOG.adoc", "mailing_list_uri"=>"http://discuss.asciidoctor.org", "source_code_uri"=>"https://github.com/asciidoctor/asciidoctor"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a60f90 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a60e28 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil asciidoctor-2.0.10>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f828 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/bigdecimal-1.3.4", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bigdecimal-1.3.4.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289ddc0 @name="bigdecimal", @version=#<Gem::Version "1.3.4">, @platform="ruby", @extensions=["ext/bigdecimal/extconf.rb"], @full_name="bigdecimal-1.3.4", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2930b20 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/bigdecimal-1.3.4", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bigdecimal-1.3.4.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="This library provides arbitrary-precision decimal floating-point number class.", @email=["[hidden email]"], @homepage="https://github.com/ruby/bigdecimal", @name="bigdecimal", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Arbitrary-precision decimal floating-point number library.", @version=#<Gem::Version "1.3.4">, @authors=["Kenta Murata", "Zachary Scott", "Shigeo Kobayashi"], @bindir="bin", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0.9">, <Gem::Dependency type=:development name="rake-compiler-dock" requirements=">= 0.6.1">, <Gem::Dependency type=:development name="minitest" requirements="~> 4.7.5">, <Gem::Dependency type=:development name="pry" requirements=">= 0">], @executables=[], @extensions=["ext/bigdecimal/extconf.rb"], @extra_rdoc_files=[], @files=["bigdecimal.gemspec", "ext/bigdecimal/bigdecimal.c", "ext/bigdecimal/bigdecimal.h", "ext/bigdecimal/depend", "ext/bigdecimal/extconf.rb", "lib/bigdecimal/jacobian.rb", "lib/bigdecimal/ludcmp.rb", "lib/bigdecimal/math.rb", "lib/bigdecimal/newton.rb", "lib/bigdecimal/util.rb", "sample/linear.rb", "sample/nlsolve.rb", "sample/pi.rb"], @licenses=["ruby"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2930760 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2930288 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="bigdecimal-1.3.4" bigdecimal-1.3.4>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f558 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bundler-1.16.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289a3f0 @name="bundler", @version=#<Gem::Version "1.16.2">, @platform="ruby", @extensions=[], @full_name="bundler-1.16.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada26a9c08 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bundler-1.16.2.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably", @email=["[hidden email]"], @homepage="http://bundler.io", @name="bundler", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="The best way to manage your application's dependencies", @version=#<Gem::Version "1.16.2">, @authors=["André Arko", "Samuel Giddins", "Chris Morris", "James Wen", "Tim Moore", "André Medeiros", "Jessica Lynn Suttles", "Terence Lee", "Carl Lerche", "Yehuda Katz"], @bindir="exe", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="automatiek" requirements="~> 0.1.0">, <Gem::Dependency type=:development name="mustache" requirements="= 0.99.6">, <Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="rdiscount" requirements="~> 2.2">, <Gem::Dependency type=:development name="ronn" requirements="~> 0.7.3">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.6">], @executables=["bundle"], @extensions=[], @extra_rdoc_files=[], @files=["CHANGELOG.md", "CODE_OF_CONDUCT.md", "CONTRIBUTING.md", "LICENSE.md", "README.md", "exe/bundle", "exe/bundle_ruby", "exe/bundler", "lib/bundler", "lib/bundler.rb", "lib/bundler/build_metadata.rb", "lib/bundler/capistrano.rb", "lib/bundler/cli", "lib/bundler/cli.rb", "lib/bundler/cli/add.rb", "lib/bundler/cli/binstubs.rb", "lib/bundler/cli/cache.rb", "lib/bundler/cli/check.rb", "lib/bundler/cli/clean.rb", "lib/bundler/cli/common.rb", "lib/bundler/cli/config.rb", "lib/bundler/cli/console.rb", "lib/bundler/cli/doctor.rb", "lib/bundler/cli/exec.rb", "lib/bundler/cli/gem.rb", "lib/bundler/cli/info.rb", "lib/bundler/cli/init.rb", "lib/bundler/cli/inject.rb", "lib/bundler/cli/install.rb", "lib/bundler/cli/issue.rb", "lib/bundler/cli/list.rb", "lib/bundler/cli/lock.rb", "lib/bundler/cli/open.rb", "lib/bundler/cli/outdated.rb", "lib/bundler/cli/package.rb", "lib/bundler/cli/platform.rb", "lib/bundler/cli/plugin.rb", "lib/bundler/cli/pristine.rb", "lib/bundler/cli/show.rb", "lib/bundler/cli/update.rb", "lib/bundler/cli/viz.rb", "lib/bundler/compact_index_client", "lib/bundler/compact_index_client.rb", "lib/bundler/compact_index_client/cache.rb", "lib/bundler/compact_index_client/updater.rb", "lib/bundler/compatibility_guard.rb", "lib/bundler/constants.rb", "lib/bundler/current_ruby.rb", "lib/bundler/definition.rb", "lib/bundler/dep_proxy.rb", "lib/bundler/dependency.rb", "lib/bundler/deployment.rb", "lib/bundler/deprecate.rb", "lib/bundler/dsl.rb", "lib/bundler/endpoint_specification.rb", "lib/bundler/env.rb", "lib/bundler/environment_preserver.rb", "lib/bundler/errors.rb", "lib/bundler/feature_flag.rb", "lib/bundler/fetcher", "lib/bundler/fetcher.rb", "lib/bundler/fetcher/base.rb", "lib/bundler/fetcher/compact_index.rb", "lib/bundler/fetcher/dependency.rb", "lib/bundler/fetcher/downloader.rb", "lib/bundler/fetcher/index.rb", "lib/bundler/friendly_errors.rb", "lib/bundler/gem_helper.rb", "lib/bundler/gem_helpers.rb", "lib/bundler/gem_remote_fetcher.rb", "lib/bundler/gem_tasks.rb", "lib/bundler/gem_version_promoter.rb", "lib/bundler/gemdeps.rb", "lib/bundler/graph.rb", "lib/bundler/index.rb", "lib/bundler/injector.rb", "lib/bundler/inline.rb", "lib/bundler/installer", "lib/bundler/installer.rb", "lib/bundler/installer/gem_installer.rb", "lib/bundler/installer/parallel_installer.rb", "lib/bundler/installer/standalone.rb", "lib/bundler/lazy_specification.rb", "lib/bundler/lockfile_generator.rb", "lib/bundler/lockfile_parser.rb", "lib/bundler/match_platform.rb", "lib/bundler/mirror.rb", "lib/bundler/plugin", "lib/bundler/plugin.rb", "lib/bundler/plugin/api", "lib/bundler/plugin/api.rb", "lib/bundler/plugin/api/source.rb", "lib/bundler/plugin/dsl.rb", "lib/bundler/plugin/index.rb", "lib/bundler/plugin/installer", "lib/bundler/plugin/installer.rb", "lib/bundler/plugin/installer/git.rb", "lib/bundler/plugin/installer/rubygems.rb", "lib/bundler/plugin/source_list.rb", "lib/bundler/process_lock.rb", "lib/bundler/psyched_yaml.rb", "lib/bundler/remote_specification.rb", "lib/bundler/resolver", "lib/bundler/resolver.rb", "lib/bundler/resolver/spec_group.rb", "lib/bundler/retry.rb", "lib/bundler/ruby_dsl.rb", "lib/bundler/ruby_version.rb", "lib/bundler/rubygems_ext.rb", "lib/bundler/rubygems_gem_installer.rb", "lib/bundler/rubygems_integration.rb", "lib/bundler/runtime.rb", "lib/bundler/settings", "lib/bundler/settings.rb", "lib/bundler/settings/validator.rb", "lib/bundler/setup.rb", "lib/bundler/shared_helpers.rb", "lib/bundler/similarity_detector.rb", "lib/bundler/source", "lib/bundler/source.rb", "lib/bundler/source/gemspec.rb", "lib/bundler/source/git", "lib/bundler/source/git.rb", "lib/bundler/source/git/git_proxy.rb", "lib/bundler/source/metadata.rb", "lib/bundler/source/path", "lib/bundler/source/path.rb", "lib/bundler/source/path/installer.rb", "lib/bundler/source/rubygems", "lib/bundler/source/rubygems.rb", "lib/bundler/source/rubygems/remote.rb", "lib/bundler/source_list.rb", "lib/bundler/spec_set.rb", "lib/bundler/ssl_certs", "lib/bundler/ssl_certs/certificate_manager.rb", "lib/bundler/ssl_certs/index.rubygems.org", "lib/bundler/ssl_certs/index.rubygems.org/GlobalSignRootCA.pem", "lib/bundler/ssl_certs/rubygems.global.ssl.fastly.net", "lib/bundler/ssl_certs/rubygems.global.ssl.fastly.net/DigiCertHighAssuranceEVRootCA.pem", "lib/bundler/ssl_certs/rubygems.org", "lib/bundler/ssl_certs/rubygems.org/AddTrustExternalCARoot.pem", "lib/bundler/stub_specification.rb", "lib/bundler/templates", "lib/bundler/templates/Executable", "lib/bundler/templates/Executable.bundler", "lib/bundler/templates/Executable.standalone", "lib/bundler/templates/Gemfile", "lib/bundler/templates/gems.rb", "lib/bundler/templates/newgem", "lib/bundler/templates/newgem/CODE_OF_CONDUCT.md.tt", "lib/bundler/templates/newgem/Gemfile.tt", "lib/bundler/templates/newgem/LICENSE.txt.tt", "lib/bundler/templates/newgem/README.md.tt", "lib/bundler/templates/newgem/Rakefile.tt", "lib/bundler/templates/newgem/bin", "lib/bundler/templates/newgem/bin/console.tt", "lib/bundler/templates/newgem/bin/setup.tt", "lib/bundler/templates/newgem/exe", "lib/bundler/templates/newgem/exe/newgem.tt", "lib/bundler/templates/newgem/ext", "lib/bundler/templates/newgem/ext/newgem", "lib/bundler/templates/newgem/ext/newgem/extconf.rb.tt", "lib/bundler/templates/newgem/ext/newgem/newgem.c.tt", "lib/bundler/templates/newgem/ext/newgem/newgem.h.tt", "lib/bundler/templates/newgem/gitignore.tt", "lib/bundler/templates/newgem/lib", "lib/bundler/templates/newgem/lib/newgem", "lib/bundler/templates/newgem/lib/newgem.rb.tt", "lib/bundler/templates/newgem/lib/newgem/version.rb.tt", "lib/bundler/templates/newgem/newgem.gemspec.tt", "lib/bundler/templates/newgem/rspec.tt", "lib/bundler/templates/newgem/spec", "lib/bundler/templates/newgem/spec/newgem_spec.rb.tt", "lib/bundler/templates/newgem/spec/spec_helper.rb.tt", "lib/bundler/templates/newgem/test", "lib/bundler/templates/newgem/test/newgem_test.rb.tt", "lib/bundler/templates/newgem/test/test_helper.rb.tt", "lib/bundler/templates/newgem/travis.yml.tt", "lib/bundler/ui", "lib/bundler/ui.rb", "lib/bundler/ui/rg_proxy.rb", "lib/bundler/ui/shell.rb", "lib/bundler/ui/silent.rb", "lib/bundler/uri_credentials_filter.rb", "lib/bundler/vendor", "lib/bundler/vendor/fileutils", "lib/bundler/vendor/fileutils/lib", "lib/bundler/vendor/fileutils/lib/fileutils.rb", "lib/bundler/vendor/molinillo", "lib/bundler/vendor/molinillo/lib", "lib/bundler/vendor/molinillo/lib/molinillo", "lib/bundler/vendor/molinillo/lib/molinillo.rb", "lib/bundler/vendor/molinillo/lib/molinillo/compatibility.rb", "lib/bundler/vendor/molinillo/lib/molinillo/delegates", "lib/bundler/vendor/molinillo/lib/molinillo/delegates/resolution_state.rb", "lib/bundler/vendor/molinillo/lib/molinillo/delegates/specification_provider.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/action.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_edge_no_circular.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_vertex.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/delete_edge.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/detach_vertex_named.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/log.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/set_payload.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/tag.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/vertex.rb", "lib/bundler/vendor/molinillo/lib/molinillo/errors.rb", "lib/bundler/vendor/molinillo/lib/molinillo/gem_metadata.rb", "lib/bundler/vendor/molinillo/lib/molinillo/modules", "lib/bundler/vendor/molinillo/lib/molinillo/modules/specification_provider.rb", "lib/bundler/vendor/molinillo/lib/molinillo/modules/ui.rb", "lib/bundler/vendor/molinillo/lib/molinillo/resolution.rb", "lib/bundler/vendor/molinillo/lib/molinillo/resolver.rb", "lib/bundler/vendor/molinillo/lib/molinillo/state.rb", "lib/bundler/vendor/net-http-persistent", "lib/bundler/vendor/net-http-persistent/lib", "lib/bundler/vendor/net-http-persistent/lib/net", "lib/bundler/vendor/net-http-persistent/lib/net/http", "lib/bundler/vendor/net-http-persistent/lib/net/http/faster.rb", "lib/bundler/vendor/net-http-persistent/lib/net/http/persistent", "lib/bundler/vendor/net-http-persistent/lib/net/http/persistent.rb", "lib/bundler/vendor/net-http-persistent/lib/net/http/persistent/ssl_reuse.rb", "lib/bundler/vendor/thor", "lib/bundler/vendor/thor/lib", "lib/bundler/vendor/thor/lib/thor", "lib/bundler/vendor/thor/lib/thor.rb", "lib/bundler/vendor/thor/lib/thor/actions", "lib/bundler/vendor/thor/lib/thor/actions.rb", "lib/bundler/vendor/thor/lib/thor/actions/create_file.rb", "lib/bundler/vendor/thor/lib/thor/actions/create_link.rb", "lib/bundler/vendor/thor/lib/thor/actions/directory.rb", "lib/bundler/vendor/thor/lib/thor/actions/empty_directory.rb", "lib/bundler/vendor/thor/lib/thor/actions/file_manipulation.rb", "lib/bundler/vendor/thor/lib/thor/actions/inject_into_file.rb", "lib/bundler/vendor/thor/lib/thor/base.rb", "lib/bundler/vendor/thor/lib/thor/command.rb", "lib/bundler/vendor/thor/lib/thor/core_ext", "lib/bundler/vendor/thor/lib/thor/core_ext/hash_with_indifferent_access.rb", "lib/bundler/vendor/thor/lib/thor/core_ext/io_binary_read.rb", "lib/bundler/vendor/thor/lib/thor/core_ext/ordered_hash.rb", "lib/bundler/vendor/thor/lib/thor/error.rb", "lib/bundler/vendor/thor/lib/thor/group.rb", "lib/bundler/vendor/thor/lib/thor/invocation.rb", "lib/bundler/vendor/thor/lib/thor/line_editor", "lib/bundler/vendor/thor/lib/thor/line_editor.rb", "lib/bundler/vendor/thor/lib/thor/line_editor/basic.rb", "lib/bundler/vendor/thor/lib/thor/line_editor/readline.rb", "lib/bundler/vendor/thor/lib/thor/parser", "lib/bundler/vendor/thor/lib/thor/parser.rb", "lib/bundler/vendor/thor/lib/thor/parser/argument.rb", "lib/bundler/vendor/thor/lib/thor/parser/arguments.rb", "lib/bundler/vendor/thor/lib/thor/parser/option.rb", "lib/bundler/vendor/thor/lib/thor/parser/options.rb", "lib/bundler/vendor/thor/lib/thor/rake_compat.rb", "lib/bundler/vendor/thor/lib/thor/runner.rb", "lib/bundler/vendor/thor/lib/thor/shell", "lib/bundler/vendor/thor/lib/thor/shell.rb", "lib/bundler/vendor/thor/lib/thor/shell/basic.rb", "lib/bundler/vendor/thor/lib/thor/shell/color.rb", "lib/bundler/vendor/thor/lib/thor/shell/html.rb", "lib/bundler/vendor/thor/lib/thor/util.rb", "lib/bundler/vendor/thor/lib/thor/version.rb", "lib/bundler/vendored_fileutils.rb", "lib/bundler/vendored_molinillo.rb", "lib/bundler/vendored_persistent.rb", "lib/bundler/vendored_thor.rb", "lib/bundler/version.rb", "lib/bundler/version_ranges.rb", "lib/bundler/vlad.rb", "lib/bundler/worker.rb", "lib/bundler/yaml_serializer.rb", "man/bundle-add.ronn", "man/bundle-binstubs.ronn", "man/bundle-check.ronn", "man/bundle-clean.ronn", "man/bundle-config.ronn", "man/bundle-doctor.ronn", "man/bundle-exec.ronn", "man/bundle-gem.ronn", "man/bundle-info.ronn", "man/bundle-init.ronn", "man/bundle-inject.ronn", "man/bundle-install.ronn", "man/bundle-list.ronn", "man/bundle-lock.ronn", "man/bundle-open.ronn", "man/bundle-outdated.ronn", "man/bundle-package.ronn", "man/bundle-platform.ronn", "man/bundle-pristine.ronn", "man/bundle-show.ronn", "man/bundle-update.ronn", "man/bundle-viz.ronn", "man/bundle.ronn", "man/gemfile.5.ronn"], @licenses=["MIT"], @metadata={"bug_tracker_uri"=>"http://github.com/bundler/bundler/issues", "changelog_uri"=>"https://github.com/bundler/bundler/blob/master/CHANGELOG.md", "homepage_uri"=>"https://bundler.io/", "source_code_uri"=>"http://github.com/bundler/bundler/"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada289f440 @requirements=[[">=", #<Gem::Version "1.8.7">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada26a86f0 @requirements=[[">=", #<Gem::Version "1.3.6">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil bundler-1.16.2>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac6f48 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/bundler-unload-1.0.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2abf1a8 @name="bundler-unload", @version=#<Gem::Version "1.0.2">, @platform="ruby", @extensions=[], @full_name="bundler-unload-1.0.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a5dfc0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/bundler-unload-1.0.2.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/mpapis/bundler-unload", @name="bundler-unload", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Allow unloading bundler after Bundler.load", @version=#<Gem::Version "1.0.2">, @authors=["Michal Papis"], @bindir="bin", @cert_chain=[], @date=2013-09-22 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["Apache 2.0"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a5dd18 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a5dc28 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil bundler-unload-1.0.2>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f288 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/cmath-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28ff3b8 @name="cmath", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=[], @full_name="cmath-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada29aab50 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/cmath-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="CMath is a library that provides trigonometric and transcendental functions for complex numbers. The functions in this module accept integers, floating-point numbers or complex numbers as arguments.", @email=[nil], @homepage="https://github.com/ruby/cmath", @name="cmath", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Provides Trigonometric and Transcendental functions for complex numbers", @version=#<Gem::Version "1.0.0">, @authors=["Tadayoshi Funaba"], @bindir="exe", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=["lib/cmath.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29a9b60 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29aa358 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil cmath-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e34d0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/colorator-1.1.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ae3760 @name="colorator", @version=#<Gem::Version "1.1.0">, @platform="ruby", @extensions=[], @full_name="colorator-1.1.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a56310 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/colorator-1.1.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]", "[hidden email]"], @homepage="https://github.com/octopress/colorator", @name="colorator", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Colorize your text in the terminal.", @version=#<Gem::Version "1.1.0">, @authors=["Parker Moore", "Brandon Mathis"], @bindir="bin", @cert_chain=[], @date=2016-06-29 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rspec" requirements="~> 3.1">], @executables=[], @extensions=[], @extra_rdoc_files=["README.markdown", "LICENSE"], @files=["LICENSE", "README.markdown"], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=["--charset=UTF-8"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a55d98 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a55bb8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil colorator-1.1.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e2c10 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/concurrent-ruby-1.1.5.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad5de0 @name="concurrent-ruby", @version=#<Gem::Version "1.1.5">, @platform="ruby", @extensions=[], @full_name="concurrent-ruby-1.1.5", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a3c438 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/concurrent-ruby-1.1.5.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Modern concurrency tools including agents, futures, promises, thread pools, actors, supervisors, and more.\nInspired by Erlang, Clojure, Go, JavaScript, actors, and classic concurrency patterns.\n", @email="[hidden email]", @homepage="http://www.concurrent-ruby.com", @name="concurrent-ruby", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Modern concurrency tools for Ruby. Inspired by Erlang, Clojure, Scala, Haskell, F#, C#, Java, and classic concurrency patterns.", @version=#<Gem::Version "1.1.5">, @authors=["Jerry D'Antonio", "Petr Chalupa", "The Ruby Concurrency Team"], @bindir="bin", @cert_chain=[], @date=2019-03-11 00:00:00 UTC, @dependencies=[], @executables=[], @extensions=[], @extra_rdoc_files=["README.md", "LICENSE.md", "CHANGELOG.md"], @files=["CHANGELOG.md", "LICENSE.md", "README.md"], @licenses=["MIT"], @metadata={"source_code_uri"=>"https://github.com/ruby-concurrency/concurrent-ruby"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29bf168 @requirements=[[">=", #<Gem::Version "1.9.3">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29bfd98 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil concurrent-ruby-1.1.5>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f738 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/csv-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289be80 @name="csv", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=[], @full_name="csv-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada26a48e8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/csv-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="the CSV library began its life as FasterCSV.", @email=[nil], @homepage="https://github.com/ruby/csv", @name="csv", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="CSV Reading and Writing", @version=#<Gem::Version "1.0.0">, @authors=["James Edward Gray II"], @bindir="bin", @cert_chain=[], @date=2017-12-13 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.14">, <Gem::Dependency type=:development name="rake" requirements="~> 12">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=["lib/csv.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29bb9c8 @requirements=[[">=", #<Gem::Version "2.4.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada26a4028 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil csv-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f3a0 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/date-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/date-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2899360 @name="date", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/date/extconf.rb"], @full_name="date-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a3d068 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/date-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/date-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="A subclass of Object includes Comparable module for handling dates.", @email=[nil], @homepage="https://github.com/ruby/date", @name="date", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A subclass of Object includes Comparable module for handling dates.", @version=#<Gem::Version "1.0.0">, @authors=["Tadayoshi Funaba"], @bindir="bin", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=["ext/date/extconf.rb"], @extra_rdoc_files=[], @files=["ext/date/date_core.c", "ext/date/date_parse.c", "ext/date/date_strftime.c", "ext/date/date_strptime.c", "ext/date/date_tmx.h", "ext/date/extconf.rb", "ext/date/prereq.mk", "ext/date/zonetab.h", "ext/date/zonetab.list", "lib/date.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a3c870 @requirements=[[">=", #<Gem::Version "2.4.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a3cd20 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="date-1.0.0" date-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac6f70 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/did_you_mean-1.2.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2abf798 @name="did_you_mean", @version=#<Gem::Version "1.2.0">, @platform="ruby", @extensions=[], @full_name="did_you_mean-1.2.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aae498 @extension_dir=nil, @full_gem_path="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/did_you_mean-1.2.0", @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @loaded=true, @activated=true, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/did_you_mean-1.2.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.6">, @autorequire=nil, @description="The gem that has been saving people from typos since 2014.", @email=["[hidden email]"], @homepage="https://github.com/yuki24/did_you_mean", @name="did_you_mean", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="\"Did you mean?\" experience in Ruby", @version=#<Gem::Version "1.2.0">, @authors=["Yuki Nishijima"], @bindir="bin", @cert_chain=[], @date=2017-12-13 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="minitest" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2aadc00 @requirements=[[">=", #<Gem::Version "2.5.0dev">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2aae088 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="did_you_mean-1.2.0", @full_require_paths=["/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/did_you_mean-1.2.0/lib"] did_you_mean-1.2.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f238 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/etc-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/etc-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28fd388 @name="etc", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/etc/extconf.rb"], @full_name="etc-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a861f0 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/etc-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/etc-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Provides access to information typically stored in UNIX /etc directory.", @email=["[hidden email]"], @homepage="https://github.com/ruby/etc", @name="etc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Provides access to information typically stored in UNIX /etc directory.", @version=#<Gem::Version "1.0.0">, @authors=["Yukihiro Matsumoto"], @bindir="exe", @cert_chain=[], @date=2017-12-13 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=["ext/etc/extconf.rb"], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "etc.gemspec", "ext/etc/etc.c", "ext/etc/extconf.rb", "ext/etc/mkconstants.rb", "test/etc/test_etc.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a859f8 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a85ea8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="etc-1.0.0" etc-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac6ed0 @extension_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/extensions/x86_64-linux/2.5.0/executable-hooks-1.5.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/executable-hooks-1.5.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2abd268 @name="executable-hooks", @version=#<Gem::Version "1.5.0">, @platform="ruby", @extensions=["ext/wrapper_installer/extconf.rb"], @full_name="executable-hooks-1.5.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aac0a8 @extension_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/extensions/x86_64-linux/2.5.0/executable-hooks-1.5.0", @full_gem_path="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/executable-hooks-1.5.0", @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @loaded=true, @activated=true, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/executable-hooks-1.5.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/mpapis/executable-hooks", @name="executable-hooks", @post_install_message="# In case of problems run the following command to update binstubs:\n    gem regenerate_binstubs\n", @rubyforge_project=nil, @signing_key=nil, @summary="Hook into rubygems executables allowing extra actions to be taken before executable is run.", @version=#<Gem::Version "1.5.0">, @authors=["Michal Papis"], @bindir="bin", @cert_chain=[], @date=2018-06-24 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="tf" requirements="~> 0.4">], @executables=["executable-hooks-uninstaller"], @extensions=["ext/wrapper_installer/extconf.rb"], @extra_rdoc_files=[], @files=["bin/executable-hooks-uninstaller", "ext/wrapper_installer/extconf.rb"], @licenses=["Apache 2.0"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a9bd70 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a9bc58 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="executable-hooks-1.5.0", @full_require_paths=["/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/executable-hooks-1.5.0/lib", "/home/jenkins/.rvm/gems/ruby-2.5.1@global/extensions/x86_64-linux/2.5.0/executable-hooks-1.5.0"] executable-hooks-1.5.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f378 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fcntl-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada288e9d8 @name="fcntl", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/fcntl/extconf.rb"], @full_name="fcntl-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a57670 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/fcntl-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fcntl-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Loads constants defined in the OS fcntl.h C header file", @email=["[hidden email]"], @homepage="https://github.com/ruby/fcntl", @name="fcntl", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Loads constants defined in the OS fcntl.h C header file", @version=#<Gem::Version "1.0.0">, @authors=["Yukihiro Matsumoto"], @bindir="exe", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.14">, <Gem::Dependency type=:development name="rake" requirements="~> 12">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=["ext/fcntl/extconf.rb"], @extra_rdoc_files=[], @files=["ext/fcntl/extconf.rb", "ext/fcntl/fcntl.c"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a56e78 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a57328 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="fcntl-1.0.0" fcntl-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e17c0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/ffi-1.11.1.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad2348 @name="ffi", @version=#<Gem::Version "1.11.1">, @platform="ruby", @extensions=["ext/ffi_c/extconf.rb"], @full_name="ffi-1.11.1", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada29af150 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/ffi-1.11.1.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Ruby FFI library", @email="[hidden email]", @homepage="http://wiki.github.com/ffi/ffi", @name="ffi", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Ruby FFI", @version=#<Gem::Version "1.11.1">, @authors=["Wayne Meissner"], @bindir="bin", @cert_chain=[], @date=2019-05-20 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements="~> 12.1">, <Gem::Dependency type=:development name="rake-compiler" requirements="~> 1.0">, <Gem::Dependency type=:development name="rake-compiler-dock" requirements="~> 0.7.0">, <Gem::Dependency type=:development name="rspec" requirements="~> 2.14.1">, <Gem::Dependency type=:development name="rubygems-tasks" requirements="~> 0.2.4">], @executables=[], @extensions=["ext/ffi_c/extconf.rb"], @extra_rdoc_files=[], @files=["ext/ffi_c/extconf.rb"], @licenses=["BSD-3-Clause"], @metadata={"bug_tracker_uri"=>"https://github.com/ffi/ffi/issues", "changelog_uri"=>"https://github.com/ffi/ffi/blob/master/CHANGELOG.md", "documentation_uri"=>"https://github.com/ffi/ffi/wiki", "mailing_list_uri"=>"http://groups.google.com/group/ruby-ffi", "source_code_uri"=>"https://github.com/ffi/ffi/", "wiki_uri"=>"https://github.com/ffi/ffi/wiki"}, @platform="ruby", @rdoc_options=["--exclude=ext/ffi_c/.*\\.o$", "--exclude=ffi_c\\.(bundle|so)$"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29ac748 @requirements=[[">=", #<Gem::Version "2.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29ae6b0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil ffi-1.11.1>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ec20 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fiddle-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28184b8 @name="fiddle", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=[], @full_name="fiddle-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ad7708 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fiddle-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="A libffi wrapper for Ruby.", @email=["[hidden email]", "[hidden email]"], @homepage="https://github.com/ruby/fiddle", @name="fiddle", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A libffi wrapper for Ruby.", @version=#<Gem::Version "1.0.0">, @authors=["Aaron Patterson", "SHIBATA Hiroshi"], @bindir="exe", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "ext/fiddle/closure.c", "ext/fiddle/closure.h", "ext/fiddle/conversions.c", "ext/fiddle/conversions.h", "ext/fiddle/extconf.rb", "ext/fiddle/extlibs", "ext/fiddle/fiddle.c", "ext/fiddle/fiddle.h", "ext/fiddle/function.c", "ext/fiddle/function.h", "ext/fiddle/handle.c", "ext/fiddle/pointer.c", "ext/fiddle/win32/fficonfig.h", "ext/fiddle/win32/libffi-3.2.1-mswin.patch", "ext/fiddle/win32/libffi-config.rb", "ext/fiddle/win32/libffi.mk.tmpl", "fiddle.gemspec", "lib/fiddle.rb", "lib/fiddle/closure.rb", "lib/fiddle/cparser.rb", "lib/fiddle/function.rb", "lib/fiddle/import.rb", "lib/fiddle/pack.rb", "lib/fiddle/struct.rb", "lib/fiddle/types.rb", "lib/fiddle/value.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2ad6f38 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2ad73c0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil fiddle-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f1e8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fileutils-1.0.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28e2010 @name="fileutils", @version=#<Gem::Version "1.0.2">, @platform="ruby", @extensions=[], @full_name="fileutils-1.0.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada293a788 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fileutils-1.0.2.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Several file utility methods for copying, moving, removing, etc.", @email=[nil], @homepage="https://github.com/ruby/fileutils", @name="fileutils", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Several file utility methods for copying, moving, removing, etc.", @version=#<Gem::Version "1.0.2">, @authors=["Minero Aoki"], @bindir="bin", @cert_chain=[], @date=2017-12-22 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "fileutils.gemspec", "lib/fileutils.rb"], @licenses=["BSD-2-Clause"], @metadata={"source_code_uri"=>"https://github.com/ruby/fileutils"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2938f00 @requirements=[[">=", #<Gem::Version "2.4.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2939c98 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil fileutils-1.0.2>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e1310 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/forwardable-extended-2.6.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad0980 @name="forwardable-extended", @version=#<Gem::Version "2.6.0">, @platform="ruby", @extensions=[], @full_name="forwardable-extended-2.6.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada29a6d70 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/forwardable-extended-2.6.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Forwardable with hash, and instance variable extensions.", @email=["[hidden email]"], @homepage="http://github.com/envygeeks/forwardable-extended", @name="forwardable-extended", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Forwardable with hash, and instance variable extensions.", @version=#<Gem::Version "2.6.0">, @authors=["Jordon Bedwell"], @bindir="bin", @cert_chain=[], @date=2016-04-06 00:00:00 UTC, @dependencies=[], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29a6230 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29a5f60 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil forwardable-extended-2.6.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ef18 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/gdbm-2.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada27f8de8 @name="gdbm", @version=#<Gem::Version "2.0.0">, @platform="ruby", @extensions=["ext/gdbm/extconf.rb"], @full_name="gdbm-2.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aa1658 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/gdbm-2.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/gdbm-2.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Ruby extension for GNU dbm.", @email=["[hidden email]"], @homepage="https://github.com/ruby/gdbm", @name="gdbm", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Ruby extension for GNU dbm.", @version=#<Gem::Version "2.0.0">, @authors=["Yukihiro Matsumoto"], @bindir="exe", @cert_chain=[], @date=2017-04-28 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.14">, <Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=["ext/gdbm/extconf.rb"], @extra_rdoc_files=[], @files=["ext/gdbm/extconf.rb", "ext/gdbm/gdbm.c"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2aa0e38 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2aa12e8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="gdbm-2.0.0" gdbm-2.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac70d8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/gem-wrappers-1.4.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ac63b8 @name="gem-wrappers", @version=#<Gem::Version "1.4.0">, @platform="ruby", @extensions=["ext/wrapper_generator/extconf.rb"], @full_name="gem-wrappers-1.4.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada28a3928 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/gem-wrappers-1.4.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/rvm/gem-wrappers", @name="gem-wrappers", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Create gem wrappers for easy use of gems in cron and other system locations.", @version=#<Gem::Version "1.4.0">, @authors=["Michal Papis"], @bindir="bin", @cert_chain=[], @date=2017-09-22 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements="< 11">, <Gem::Dependency type=:development name="minitest" requirements="< 6">], @executables=[], @extensions=["ext/wrapper_generator/extconf.rb"], @extra_rdoc_files=[], @files=["ext/wrapper_generator/extconf.rb"], @licenses=["Apache 2.0"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada28a33d8 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada28a2c08 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil gem-wrappers-1.4.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f210 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/io-console-0.4.6.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28e3f00 @name="io-console", @version=#<Gem::Version "0.4.6">, @platform="ruby", @extensions=["ext/io/console/extconf.rb"], @full_name="io-console-0.4.6", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a975e0 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/io-console-0.4.6", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/io-console-0.4.6.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="add console capabilities to IO instances.", @email="[hidden email]", @homepage="https://github.com/ruby/io-console", @name="io-console", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Console interface", @version=#<Gem::Version "0.4.6">, @authors=["Nobu Nakada"], @bindir="bin", @cert_chain=["certs/nobu.pem"], @date=2017-09-16 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler-dock" requirements=">= 0.6.1">], @executables=[], @extensions=["ext/io/console/extconf.rb"], @extra_rdoc_files=[], @files=["ext/io/console/console.c", "ext/io/console/extconf.rb", "ext/io/console/win32_vk.inc", "lib/console/size.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a96ca8 @requirements=[[">=", #<Gem::Version "2.0.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a97158 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="io-console-0.4.6" io-console-0.4.6>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f698 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/ipaddr-1.2.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289aa80 @name="ipaddr", @version=#<Gem::Version "1.2.0">, @platform="ruby", @extensions=[], @full_name="ipaddr-1.2.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada28a2b18 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/ipaddr-1.2.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="IPAddr provides a set of methods to manipulate an IP address.\nBoth IPv4 and IPv6 are supported.\n", @email=["[hidden email]", "[hidden email]"], @homepage="https://github.com/ruby/ipaddr", @name="ipaddr", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A class to manipulate an IP address in ruby", @version=#<Gem::Version "1.2.0">, @authors=["Akinori MUSHA", "Hajimu UMEMOTO"], @bindir="exe", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.15">, <Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "ipaddr.gemspec", "lib/ipaddr.rb"], @licenses=[], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada28a2690 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada28a2488 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil ipaddr-1.2.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e2418 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-3.5.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad4ff8 @name="jekyll", @version=#<Gem::Version "3.5.0">, @platform="ruby", @extensions=[], @full_name="jekyll-3.5.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada28e0b20 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-3.5.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Jekyll is a simple, blog aware, static site generator.", @email="[hidden email]", @homepage="https://github.com/jekyll/jekyll", @name="jekyll", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A simple, blog aware, static site generator.", @version=#<Gem::Version "3.5.0">, @authors=["Tom Preston-Werner"], @bindir="exe", @cert_chain=[], @date=2017-06-18 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="addressable" requirements="~> 2.4">, <Gem::Dependency type=:runtime name="colorator" requirements="~> 1.0">, <Gem::Dependency type=:runtime name="jekyll-sass-converter" requirements="~> 1.0">, <Gem::Dependency type=:runtime name="jekyll-watch" requirements="~> 1.1">, <Gem::Dependency type=:runtime name="kramdown" requirements="~> 1.3">, <Gem::Dependency type=:runtime name="liquid" requirements="~> 4.0">, <Gem::Dependency type=:runtime name="mercenary" requirements="~> 0.3.3">, <Gem::Dependency type=:runtime name="pathutil" requirements="~> 0.9">, <Gem::Dependency type=:runtime name="rouge" requirements="~> 1.7">, <Gem::Dependency type=:runtime name="safe_yaml" requirements="~> 1.0">], @executables=["jekyll"], @extensions=[], @extra_rdoc_files=["README.markdown", "LICENSE"], @files=["LICENSE", "README.markdown", "exe/jekyll"], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=["--charset=UTF-8"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada281beb0 @requirements=[[">=", #<Gem::Version "2.0.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada27fb778 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=2, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-3.5.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e3570 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-3.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ae3f30 @name="jekyll-asciidoc", @version=#<Gem::Version "3.0.0">, @platform="ruby", @extensions=[], @full_name="jekyll-asciidoc-3.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ae3300 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-3.0.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @email=["[hidden email]"], @homepage="https://github.com/asciidoctor/jekyll-asciidoc", @name="jekyll-asciidoc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @version=#<Gem::Version "3.0.0">, @authors=["Dan Allen", "Paul Rayner"], @bindir="bin", @cert_chain=[], @date=2019-08-31 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="asciidoctor" requirements=">= 1.5.0">, <Gem::Dependency type=:runtime name="jekyll" requirements=">= 3.0.0">, <Gem::Dependency type=:development name="deep-cover-core" requirements="~> 0.7.0">, <Gem::Dependency type=:development name="pygments.rb" requirements="~> 1.2.1">, <Gem::Dependency type=:development name="rake" requirements="~> 12.3.2">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.8.0">, <Gem::Dependency type=:development name="rubocop" requirements="~> 0.74.0">, <Gem::Dependency type=:development name="simplecov" requirements="~> 0.17.0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={"bug_tracker_uri"=>"https://github.com/asciidoctor/jekyll-asciidoc/issues", "changelog_uri"=>"https://github.com/asciidoctor/jekyll-asciidoc/blob/master/CHANGELOG.adoc", "mailing_list_uri"=>"http://discuss.asciidoctor.org", "source_code_uri"=>"https://github.com/asciidoctor/jekyll-asciidoc"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2ae3080 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2ae2f40 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-asciidoc-3.0.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e6068 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-2.1.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada26b4428 @name="jekyll-asciidoc", @version=#<Gem::Version "2.1.0">, @platform="ruby", @extensions=[], @full_name="jekyll-asciidoc-2.1.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ad2140 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-2.1.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @email=["[hidden email]"], @homepage="https://github.com/asciidoctor/jekyll-asciidoc", @name="jekyll-asciidoc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @version=#<Gem::Version "2.1.0">, @authors=["Dan Allen", "Paul Rayner"], @bindir="bin", @cert_chain=[], @date=2017-05-21 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="asciidoctor" requirements=">= 1.5.0">, <Gem::Dependency type=:runtime name="jekyll" requirements=">= 2.3.0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.5.0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2ad11f0 @requirements=[[">=", #<Gem::Version "1.9.3">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2ad19e8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-asciidoc-2.1.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e63b0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-sass-converter-1.5.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada26ce5d0 @name="jekyll-sass-converter", @version=#<Gem::Version "1.5.2">, @platform="ruby", @extensions=[], @full_name="jekyll-sass-converter-1.5.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2abfea0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-sass-converter-1.5.2.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/jekyll/jekyll-sass-converter", @name="jekyll-sass-converter", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A basic Sass converter for Jekyll.", @version=#<Gem::Version "1.5.2">, @authors=["Parker Moore"], @bindir="bin", @cert_chain=[], @date=2018-02-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="sass" requirements="~> 3.4">, <Gem::Dependency type=:development name="bundler" requirements="~> 1.5">, <Gem::Dependency type=:development name="jekyll" requirements=">= 2.0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rspec" requirements=">= 0">, <Gem::Dependency type=:development name="rubocop" requirements="= 0.51">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2abfbf8 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2abfa68 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-sass-converter-1.5.2>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e2008 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-watch-1.5.1.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad3bf8 @name="jekyll-watch", @version=#<Gem::Version "1.5.1">, @platform="ruby", @extensions=[], @full_name="jekyll-watch-1.5.1", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aaff28 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-watch-1.5.1.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/jekyll/jekyll-watch", @name="jekyll-watch", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Rebuild your Jekyll site when a file changes with the `--watch` switch.", @version=#<Gem::Version "1.5.1">, @authors=["Parker Moore"], @bindir="bin", @cert_chain=[], @date=2017-12-02 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="listen" requirements="~> 3.0">, <Gem::Dependency type=:development name="bundler" requirements="~> 1.15">, <Gem::Dependency type=:development name="jekyll" requirements="~> 3.6">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.0">, <Gem::Dependency type=:development name="rubocop" requirements="~> 0.51">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2aaf5c8 @requirements=[[">=", #<Gem::Version "2.1.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2aafaf0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-watch-1.5.1>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ebf8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/json-2.1.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada278ff78 @name="json", @version=#<Gem::Version "2.1.0">, @platform="ruby", @extensions=["ext/json/ext/generator/extconf.rb", "ext/json/e

[...truncated too long message...]

tadata={}, @platform="ruby", @rdoc_options=["--line-numbers", "--inline-source", "--title", "Tilt", "--main", "Tilt"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2b27de8 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2b27cd0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil tilt-2.0.9>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ecc0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/webrick-1.4.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2819688 @name="webrick", @version=#<Gem::Version "1.4.2">, @platform="ruby", @extensions=[], @full_name="webrick-1.4.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ac40b8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/webrick-1.4.2.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="WEBrick is an HTTP server toolkit that can be configured as an HTTPS server, a proxy server, and a virtual-host server.", @email=[nil, nil, "[hidden email]"], @homepage="https://www.ruby-lang.org", @name="webrick", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="HTTP server toolkit", @version=#<Gem::Version "1.4.2">, @authors=["TAKAHASHI Masayoshi", "GOTOU YUUZOU", "Eric Wong"], @bindir="bin", @cert_chain=[], @date=2017-12-24 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=["lib/webrick.rb", "lib/webrick/accesslog.rb", "lib/webrick/cgi.rb", "lib/webrick/compat.rb", "lib/webrick/config.rb", "lib/webrick/cookie.rb", "lib/webrick/htmlutils.rb", "lib/webrick/httpauth.rb", "lib/webrick/httpauth/authenticator.rb", "lib/webrick/httpauth/basicauth.rb", "lib/webrick/httpauth/digestauth.rb", "lib/webrick/httpauth/htdigest.rb", "lib/webrick/httpauth/htgroup.rb", "lib/webrick/httpauth/htpasswd.rb", "lib/webrick/httpauth/userdb.rb", "lib/webrick/httpproxy.rb", "lib/webrick/httprequest.rb", "lib/webrick/httpresponse.rb", "lib/webrick/https.rb", "lib/webrick/httpserver.rb", "lib/webrick/httpservlet.rb", "lib/webrick/httpservlet/abstract.rb", "lib/webrick/httpservlet/cgi_runner.rb", "lib/webrick/httpservlet/cgihandler.rb", "lib/webrick/httpservlet/erbhandler.rb", "lib/webrick/httpservlet/filehandler.rb", "lib/webrick/httpservlet/prochandler.rb", "lib/webrick/httpstatus.rb", "lib/webrick/httputils.rb", "lib/webrick/httpversion.rb", "lib/webrick/log.rb", "lib/webrick/server.rb", "lib/webrick/ssl.rb", "lib/webrick/utils.rb", "lib/webrick/version.rb"], @licenses=["BSD-2-Clause"], @metadata={"bug_tracker_uri"=>"https://bugs.ruby-lang.org/projects/ruby-trunk/issues", "homepage_uri"=>"https://www.ruby-lang.org", "source_code_uri"=>"https://svn.ruby-lang.org/repos/ruby"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada288c908 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada288e320 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil webrick-1.4.2>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac7088 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/xmlrpc-0.3.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ac5d00 @name="xmlrpc", @version=#<Gem::Version "0.3.0">, @platform="ruby", @extensions=[], @full_name="xmlrpc-0.3.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2b25e80 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/xmlrpc-0.3.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.6">, @autorequire=nil, @description="XMLRPC is a lightweight protocol that enables remote procedure calls over HTTP.", @email=["[hidden email]"], @homepage="https://github.com/ruby/xmlrpc", @name="xmlrpc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="XMLRPC is a lightweight protocol that enables remote procedure calls over HTTP.", @version=#<Gem::Version "0.3.0">, @authors=["SHIBATA Hiroshi"], @bindir="exe", @cert_chain=[], @date=2017-02-16 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["Ruby"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2b256b0 @requirements=[[">=", #<Gem::Version "2.3">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2b25b10 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil xmlrpc-0.3.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289eea0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/zlib-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada281a1f0 @name="zlib", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/zlib/extconf.rb"], @full_name="zlib-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada289a148 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/zlib-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/zlib-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Ruby interface for the zlib compression/decompression library", @email=["[hidden email]", nil], @homepage="https://github.com/ruby/zlib", @name="zlib", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Ruby interface for the zlib compression/decompression library", @version=#<Gem::Version "1.0.0">, @authors=["Yukihiro Matsumoto", "UENO Katsuhiro"], @bindir="exe", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=["ext/zlib/extconf.rb"], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "ext/zlib/extconf.rb", "ext/zlib/zlib.c", "zlib.gemspec"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2899068 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2899ae0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="zlib-1.0.0" zlib-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>] (RuntimeError)
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems/specification.rb:1156:in `latest_specs'
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems.rb:556:in `find_latest_files'
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/executable-hooks-1.5.0/lib/executable-hooks/hooks.rb:19:in `load_executable_plugins'
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/executable-hooks-1.5.0/lib/executable-hooks/hooks.rb:48:in `run'
     [exec]     from /home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/bin/ruby_executable_hooks:10:in `<main>'

BUILD FAILED
/home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/solr-ref-guide/build.xml:299: exec returned: 1

Total time: 16 seconds
Build step 'Execute shell' marked build as failure
Archiving artifacts
Publishing Javadoc
Email was triggered for: Failure - Any
Sending email for trigger: Failure - Any

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Solr-reference-guide-master - Build # 20305 - Failure

Cassandra Targett
I think this was a transient failure while installing the gems, which happens from time-to-time. The fact that it ran successfully the next time (https://builds.apache.org/job/Solr-reference-guide-master/20306/) means it wasn’t anything wrong with the doc changes you made.

Thanks for paying attention to it and trying to follow up!

Cassandra
On Nov 18, 2019, 10:51 AM -0600, Ishan Chattopadhyaya <[hidden email]>, wrote:
I have no clue from this why this failed. But, given I pushed ref-guide change recently, it could be SOLR-13662 :-(
I'll take a look tonight!

On Mon, Nov 18, 2019 at 10:02 PM Apache Jenkins Server <[hidden email]> wrote:
Build: https://builds.apache.org/job/Solr-reference-guide-master/20305/

Log:
Started by timer
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on websites (git-websites svn-websites) in workspace /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master
No credentials specified
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://gitbox.apache.org/repos/asf/lucene-solr.git # timeout=10
Cleaning workspace
 > git rev-parse --verify HEAD # timeout=10
Resetting working tree
 > git reset --hard # timeout=10
 > git clean -fdx # timeout=10
Fetching upstream changes from https://gitbox.apache.org/repos/asf/lucene-solr.git
 > git --version # timeout=10
 > git fetch --tags --progress -- https://gitbox.apache.org/repos/asf/lucene-solr.git +refs/heads/*:refs/remotes/origin/*
 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
 > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision 0857bb60d3bb5bd6d8d851ce2e01edd9bde310ea (refs/remotes/origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 0857bb60d3bb5bd6d8d851ce2e01edd9bde310ea
Commit message: "SOLR-13662, SOLR-13822: Fixing bug with refresh API, un-ignoring the test and new reference guide on Package Management"
 > git rev-list --no-walk 0857bb60d3bb5bd6d8d851ce2e01edd9bde310ea # timeout=10
No emails were triggered.
[Solr-reference-guide-master] $ /bin/bash -xe /tmp/jenkins8774107111781570038.sh
+ bash dev-tools/scripts/jenkins.build.ref.guide.sh
+ set -e
+ RVM_PATH=/home/jenkins/.rvm
+ RUBY_VERSION=ruby-2.5.1
+ GEMSET=solr-refguide-gemset
+ curl -sSL https://get.rvm.io
+ bash -s -- --ignore-dotfiles stable
Turning on ignore dotfiles mode.
Downloading https://github.com/rvm/rvm/archive/1.29.9.tar.gz
Downloading https://github.com/rvm/rvm/releases/download/1.29.9/1.29.9.tar.gz.asc
gpg: Signature made Wed 10 Jul 2019 08:31:02 AM UTC
gpg:                using RSA key 7D2BAF1CF37B13E2069D6956105BD0E739499BDB
gpg: Good signature from "Piotr Kuczynski <[hidden email]>" [unknown]
gpg: WARNING: This key is not certified with a trusted signature!
gpg:          There is no indication that the signature belongs to the owner.
Primary key fingerprint: 7D2B AF1C F37B 13E2 069D  6956 105B D0E7 3949 9BDB
GPG verified '/home/jenkins/.rvm/archives/rvm-1.29.9.tgz'
Upgrading the RVM installation in /home/jenkins/.rvm/
Upgrade of RVM in /home/jenkins/.rvm/ is complete.

<warn>Thanks for installing RVM 🙏</warn>
Please consider donating to our open collective to help us maintain RVM.

👉  Donate: <code>https://opencollective.com/rvm/donate</code>


+ set +x
Running 'source /home/jenkins/.rvm/scripts/rvm'
Running 'rvm cleanup all'
Cleaning up rvm archives
Cleaning up rvm repos
Cleaning up rvm src
Cleaning up rvm log
Cleaning up rvm tmp
Cleaning up rvm gemsets
Cleaning up rvm links
Cleanup done.
Running 'rvm autolibs disable'
Running 'rvm install ruby-2.5.1'
Already installed ruby-2.5.1.
To reinstall use:

    rvm reinstall ruby-2.5.1

Running 'rvm gemset create solr-refguide-gemset'
ruby-2.5.1 - #gemset created /home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset
ruby-2.5.1 - #generating solr-refguide-gemset wrappers.......
Running 'rvm ruby-2.5.1@solr-refguide-gemset'
Using /home/jenkins/.rvm/gems/ruby-2.5.1 with gemset solr-refguide-gemset
Running 'gem install --force --version 3.5.0 jekyll'
Successfully installed jekyll-3.5.0
Parsing documentation for jekyll-3.5.0
Done installing documentation for jekyll after 0 seconds
1 gem installed
Running 'gem uninstall --all --ignore-dependencies asciidoctor'
Removing asciidoctor
Removing asciidoctor-safe
Successfully uninstalled asciidoctor-1.5.6.2
Running 'gem install --force --version 2.0.10 asciidoctor'
Successfully installed asciidoctor-2.0.10
Parsing documentation for asciidoctor-2.0.10
Installing ri documentation for asciidoctor-2.0.10
Done installing documentation for asciidoctor after 2 seconds
1 gem installed
Running 'gem install --force --version 3.0.0 jekyll-asciidoc'
Successfully installed asciidoctor-2.0.10
Successfully installed jekyll-asciidoc-3.0.0
Parsing documentation for asciidoctor-2.0.10
Installing ri documentation for asciidoctor-2.0.10
Parsing documentation for jekyll-asciidoc-3.0.0
Done installing documentation for asciidoctor, jekyll-asciidoc after 2 seconds
2 gems installed
Running 'gem install --force --version 4.0.1 slim'
Successfully installed slim-4.0.1
Parsing documentation for slim-4.0.1
Done installing documentation for slim after 0 seconds
1 gem installed
Running 'gem install --force --version 2.0.10 tilt'
Successfully installed tilt-2.0.10
Parsing documentation for tilt-2.0.10
Done installing documentation for tilt after 0 seconds
1 gem installed
Running 'gem install --force --version 1.1.5 concurrent-ruby'
Successfully installed concurrent-ruby-1.1.5
Parsing documentation for concurrent-ruby-1.1.5
Done installing documentation for concurrent-ruby after 1 seconds
1 gem installed
+ ant clean build-site build-pdf
Buildfile: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/solr-ref-guide/build.xml

clean:

build-init:
    [mkdir] Created dir: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content
     [echo] Copying all non template files from src ...
     [copy] Copying 487 files to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content
     [echo] Copy (w/prop replacement) any template files from src...
     [copy] Copying 1 file to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content

ivy-availability-check:
[loadresource] Do not set property disallowed.ivy.jars.list as its length is 0.

-ivy-fail-disallowed-ivy-version:

ivy-fail:

ivy-configure:
[ivy:configure] :: Apache Ivy 2.4.0 - 20141213170938 :: http://ant.apache.org/ivy/ ::
[ivy:configure] :: loading settings :: file = /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/lucene/top-level-ivy-settings.xml

resolve:

build-tools-jar:
    [mkdir] Created dir: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/classes
    [javac] Compiling 4 source files to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/classes
    [javac] warning: No processor claimed any of these annotations: java.base/java.lang.SuppressWarnings
    [javac] 1 warning
     [copy] Copying 1 file to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/classes
      [jar] Building jar: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/solr-ref-guide-tools.jar

build-nav-data-files:
     [java] Building up tree of all known pages
     [java] WARNING: An illegal reflective access operation has occurred
     [java] WARNING: Illegal reflective access by org.jruby.util.SecurityHelper (file:/home/jenkins/.ivy2/cache/org.asciidoctor/asciidoctor-ant/jars/asciidoctor-ant-1.6.2.jar) to field java.lang.reflect.Field.modifiers
     [java] WARNING: Please consider reporting this to the maintainers of org.jruby.util.SecurityHelper
     [java] WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
     [java] WARNING: All illegal access operations will be denied in a future release
     [java] Creating /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content/_data/pdf-main-body.adoc
     [java] Creating /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content/_data/scrollnav.json
     [java] Creating /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content/_data/sidebar.json

-build-site:
     [echo] Running Jekyll...
     [exec] /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems/specification.rb:746:in `_all': pid: 4754 nil spec! included in [#<Gem::StubSpecification:0x000055ada26e2f80 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/addressable-2.6.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ae09e8 @name="addressable", @version=#<Gem::Version "2.6.0">, @platform="ruby", @extensions=[], @full_name="addressable-2.6.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a854f8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/addressable-2.6.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Addressable is a replacement for the URI implementation that is part of\nRuby's standard library. It more closely conforms to the relevant RFCs and\nadds support for IRIs and URI templates.\n", @email="[hidden email]", @homepage="https://github.com/sporkmonger/addressable", @name="addressable", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="URI Implementation", @version=#<Gem::Version "2.6.0">, @authors=["Bob Aman"], @bindir="bin", @cert_chain=[], @date=2019-01-18 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="public_suffix" requirements="< 4.0, >= 2.0.2">, <Gem::Dependency type=:development name="bundler" requirements="< 3.0, >= 1.0">], @executables=[], @extensions=[], @extra_rdoc_files=["README.md"], @files=["README.md"], @licenses=["Apache-2.0"], @metadata={}, @platform="ruby", @rdoc_options=["--main", "README.md"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a84800 @requirements=[[">=", #<Gem::Version "2.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a850c0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil addressable-2.6.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e2080 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/asciidoctor-2.0.10.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad4198 @name="asciidoctor", @version=#<Gem::Version "2.0.10">, @platform="ruby", @extensions=[], @full_name="asciidoctor-2.0.10", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a61300 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/asciidoctor-2.0.10.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="A fast, open source text processor and publishing toolchain for converting AsciiDoc content to HTML 5, DocBook 5, and other formats.", @email=["[hidden email]"], @homepage="https://asciidoctor.org", @name="asciidoctor", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="An implementation of the AsciiDoc text processor and publishing toolchain", @version=#<Gem::Version "2.0.10">, @authors=["Dan Allen", "Sarah White", "Ryan Waldron", "Jason Porter", "Nick Hengeveld", "Jeremy McAnally"], @bindir="bin", @cert_chain=[], @date=2018-03-20 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="asciimath" requirements="~> 1.0.0">, <Gem::Dependency type=:development name="coderay" requirements="~> 1.1.0">, <Gem::Dependency type=:development name="concurrent-ruby" requirements="~> 1.1.0">, <Gem::Dependency type=:development name="cucumber" requirements="~> 3.1.0">, <Gem::Dependency type=:development name="erubis" requirements="~> 2.7.0">, <Gem::Dependency type=:development name="haml" requirements="~> 5.0.0">, <Gem::Dependency type=:development name="minitest" requirements="~> 5.11.0">, <Gem::Dependency type=:development name="nokogiri" requirements="~> 1.10.0">, <Gem::Dependency type=:development name="rake" requirements="~> 12.3.0">, <Gem::Dependency type=:development name="rouge" requirements="~> 3.3.0">, <Gem::Dependency type=:development name="rspec-expectations" requirements="~> 3.8.0">, <Gem::Dependency type=:development name="slim" requirements="~> 4.0.0">, <Gem::Dependency type=:development name="tilt" requirements="~> 2.0.0">], @executables=["asciidoctor"], @extensions=[], @extra_rdoc_files=[], @files=["bin/asciidoctor"], @licenses=["MIT"], @metadata={"bug_tracker_uri"=>"https://github.com/asciidoctor/asciidoctor/issues", "changelog_uri"=>"https://github.com/asciidoctor/asciidoctor/blob/master/CHANGELOG.adoc", "mailing_list_uri"=>"http://discuss.asciidoctor.org", "source_code_uri"=>"https://github.com/asciidoctor/asciidoctor"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a60f90 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a60e28 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil asciidoctor-2.0.10>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f828 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/bigdecimal-1.3.4", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bigdecimal-1.3.4.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289ddc0 @name="bigdecimal", @version=#<Gem::Version "1.3.4">, @platform="ruby", @extensions=["ext/bigdecimal/extconf.rb"], @full_name="bigdecimal-1.3.4", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2930b20 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/bigdecimal-1.3.4", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bigdecimal-1.3.4.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="This library provides arbitrary-precision decimal floating-point number class.", @email=["[hidden email]"], @homepage="https://github.com/ruby/bigdecimal", @name="bigdecimal", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Arbitrary-precision decimal floating-point number library.", @version=#<Gem::Version "1.3.4">, @authors=["Kenta Murata", "Zachary Scott", "Shigeo Kobayashi"], @bindir="bin", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0.9">, <Gem::Dependency type=:development name="rake-compiler-dock" requirements=">= 0.6.1">, <Gem::Dependency type=:development name="minitest" requirements="~> 4.7.5">, <Gem::Dependency type=:development name="pry" requirements=">= 0">], @executables=[], @extensions=["ext/bigdecimal/extconf.rb"], @extra_rdoc_files=[], @files=["bigdecimal.gemspec", "ext/bigdecimal/bigdecimal.c", "ext/bigdecimal/bigdecimal.h", "ext/bigdecimal/depend", "ext/bigdecimal/extconf.rb", "lib/bigdecimal/jacobian.rb", "lib/bigdecimal/ludcmp.rb", "lib/bigdecimal/math.rb", "lib/bigdecimal/newton.rb", "lib/bigdecimal/util.rb", "sample/linear.rb", "sample/nlsolve.rb", "sample/pi.rb"], @licenses=["ruby"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2930760 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2930288 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="bigdecimal-1.3.4" bigdecimal-1.3.4>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f558 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bundler-1.16.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289a3f0 @name="bundler", @version=#<Gem::Version "1.16.2">, @platform="ruby", @extensions=[], @full_name="bundler-1.16.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada26a9c08 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bundler-1.16.2.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably", @email=["[hidden email]"], @homepage="http://bundler.io", @name="bundler", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="The best way to manage your application's dependencies", @version=#<Gem::Version "1.16.2">, @authors=["André Arko", "Samuel Giddins", "Chris Morris", "James Wen", "Tim Moore", "André Medeiros", "Jessica Lynn Suttles", "Terence Lee", "Carl Lerche", "Yehuda Katz"], @bindir="exe", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="automatiek" requirements="~> 0.1.0">, <Gem::Dependency type=:development name="mustache" requirements="= 0.99.6">, <Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="rdiscount" requirements="~> 2.2">, <Gem::Dependency type=:development name="ronn" requirements="~> 0.7.3">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.6">], @executables=["bundle"], @extensions=[], @extra_rdoc_files=[], @files=["CHANGELOG.md", "CODE_OF_CONDUCT.md", "CONTRIBUTING.md", "LICENSE.md", "README.md", "exe/bundle", "exe/bundle_ruby", "exe/bundler", "lib/bundler", "lib/bundler.rb", "lib/bundler/build_metadata.rb", "lib/bundler/capistrano.rb", "lib/bundler/cli", "lib/bundler/cli.rb", "lib/bundler/cli/add.rb", "lib/bundler/cli/binstubs.rb", "lib/bundler/cli/cache.rb", "lib/bundler/cli/check.rb", "lib/bundler/cli/clean.rb", "lib/bundler/cli/common.rb", "lib/bundler/cli/config.rb", "lib/bundler/cli/console.rb", "lib/bundler/cli/doctor.rb", "lib/bundler/cli/exec.rb", "lib/bundler/cli/gem.rb", "lib/bundler/cli/info.rb", "lib/bundler/cli/init.rb", "lib/bundler/cli/inject.rb", "lib/bundler/cli/install.rb", "lib/bundler/cli/issue.rb", "lib/bundler/cli/list.rb", "lib/bundler/cli/lock.rb", "lib/bundler/cli/open.rb", "lib/bundler/cli/outdated.rb", "lib/bundler/cli/package.rb", "lib/bundler/cli/platform.rb", "lib/bundler/cli/plugin.rb", "lib/bundler/cli/pristine.rb", "lib/bundler/cli/show.rb", "lib/bundler/cli/update.rb", "lib/bundler/cli/viz.rb", "lib/bundler/compact_index_client", "lib/bundler/compact_index_client.rb", "lib/bundler/compact_index_client/cache.rb", "lib/bundler/compact_index_client/updater.rb", "lib/bundler/compatibility_guard.rb", "lib/bundler/constants.rb", "lib/bundler/current_ruby.rb", "lib/bundler/definition.rb", "lib/bundler/dep_proxy.rb", "lib/bundler/dependency.rb", "lib/bundler/deployment.rb", "lib/bundler/deprecate.rb", "lib/bundler/dsl.rb", "lib/bundler/endpoint_specification.rb", "lib/bundler/env.rb", "lib/bundler/environment_preserver.rb", "lib/bundler/errors.rb", "lib/bundler/feature_flag.rb", "lib/bundler/fetcher", "lib/bundler/fetcher.rb", "lib/bundler/fetcher/base.rb", "lib/bundler/fetcher/compact_index.rb", "lib/bundler/fetcher/dependency.rb", "lib/bundler/fetcher/downloader.rb", "lib/bundler/fetcher/index.rb", "lib/bundler/friendly_errors.rb", "lib/bundler/gem_helper.rb", "lib/bundler/gem_helpers.rb", "lib/bundler/gem_remote_fetcher.rb", "lib/bundler/gem_tasks.rb", "lib/bundler/gem_version_promoter.rb", "lib/bundler/gemdeps.rb", "lib/bundler/graph.rb", "lib/bundler/index.rb", "lib/bundler/injector.rb", "lib/bundler/inline.rb", "lib/bundler/installer", "lib/bundler/installer.rb", "lib/bundler/installer/gem_installer.rb", "lib/bundler/installer/parallel_installer.rb", "lib/bundler/installer/standalone.rb", "lib/bundler/lazy_specification.rb", "lib/bundler/lockfile_generator.rb", "lib/bundler/lockfile_parser.rb", "lib/bundler/match_platform.rb", "lib/bundler/mirror.rb", "lib/bundler/plugin", "lib/bundler/plugin.rb", "lib/bundler/plugin/api", "lib/bundler/plugin/api.rb", "lib/bundler/plugin/api/source.rb", "lib/bundler/plugin/dsl.rb", "lib/bundler/plugin/index.rb", "lib/bundler/plugin/installer", "lib/bundler/plugin/installer.rb", "lib/bundler/plugin/installer/git.rb", "lib/bundler/plugin/installer/rubygems.rb", "lib/bundler/plugin/source_list.rb", "lib/bundler/process_lock.rb", "lib/bundler/psyched_yaml.rb", "lib/bundler/remote_specification.rb", "lib/bundler/resolver", "lib/bundler/resolver.rb", "lib/bundler/resolver/spec_group.rb", "lib/bundler/retry.rb", "lib/bundler/ruby_dsl.rb", "lib/bundler/ruby_version.rb", "lib/bundler/rubygems_ext.rb", "lib/bundler/rubygems_gem_installer.rb", "lib/bundler/rubygems_integration.rb", "lib/bundler/runtime.rb", "lib/bundler/settings", "lib/bundler/settings.rb", "lib/bundler/settings/validator.rb", "lib/bundler/setup.rb", "lib/bundler/shared_helpers.rb", "lib/bundler/similarity_detector.rb", "lib/bundler/source", "lib/bundler/source.rb", "lib/bundler/source/gemspec.rb", "lib/bundler/source/git", "lib/bundler/source/git.rb", "lib/bundler/source/git/git_proxy.rb", "lib/bundler/source/metadata.rb", "lib/bundler/source/path", "lib/bundler/source/path.rb", "lib/bundler/source/path/installer.rb", "lib/bundler/source/rubygems", "lib/bundler/source/rubygems.rb", "lib/bundler/source/rubygems/remote.rb", "lib/bundler/source_list.rb", "lib/bundler/spec_set.rb", "lib/bundler/ssl_certs", "lib/bundler/ssl_certs/certificate_manager.rb", "lib/bundler/ssl_certs/index.rubygems.org", "lib/bundler/ssl_certs/index.rubygems.org/GlobalSignRootCA.pem", "lib/bundler/ssl_certs/rubygems.global.ssl.fastly.net", "lib/bundler/ssl_certs/rubygems.global.ssl.fastly.net/DigiCertHighAssuranceEVRootCA.pem", "lib/bundler/ssl_certs/rubygems.org", "lib/bundler/ssl_certs/rubygems.org/AddTrustExternalCARoot.pem", "lib/bundler/stub_specification.rb", "lib/bundler/templates", "lib/bundler/templates/Executable", "lib/bundler/templates/Executable.bundler", "lib/bundler/templates/Executable.standalone", "lib/bundler/templates/Gemfile", "lib/bundler/templates/gems.rb", "lib/bundler/templates/newgem", "lib/bundler/templates/newgem/CODE_OF_CONDUCT.md.tt", "lib/bundler/templates/newgem/Gemfile.tt", "lib/bundler/templates/newgem/LICENSE.txt.tt", "lib/bundler/templates/newgem/README.md.tt", "lib/bundler/templates/newgem/Rakefile.tt", "lib/bundler/templates/newgem/bin", "lib/bundler/templates/newgem/bin/console.tt", "lib/bundler/templates/newgem/bin/setup.tt", "lib/bundler/templates/newgem/exe", "lib/bundler/templates/newgem/exe/newgem.tt", "lib/bundler/templates/newgem/ext", "lib/bundler/templates/newgem/ext/newgem", "lib/bundler/templates/newgem/ext/newgem/extconf.rb.tt", "lib/bundler/templates/newgem/ext/newgem/newgem.c.tt", "lib/bundler/templates/newgem/ext/newgem/newgem.h.tt", "lib/bundler/templates/newgem/gitignore.tt", "lib/bundler/templates/newgem/lib", "lib/bundler/templates/newgem/lib/newgem", "lib/bundler/templates/newgem/lib/newgem.rb.tt", "lib/bundler/templates/newgem/lib/newgem/version.rb.tt", "lib/bundler/templates/newgem/newgem.gemspec.tt", "lib/bundler/templates/newgem/rspec.tt", "lib/bundler/templates/newgem/spec", "lib/bundler/templates/newgem/spec/newgem_spec.rb.tt", "lib/bundler/templates/newgem/spec/spec_helper.rb.tt", "lib/bundler/templates/newgem/test", "lib/bundler/templates/newgem/test/newgem_test.rb.tt", "lib/bundler/templates/newgem/test/test_helper.rb.tt", "lib/bundler/templates/newgem/travis.yml.tt", "lib/bundler/ui", "lib/bundler/ui.rb", "lib/bundler/ui/rg_proxy.rb", "lib/bundler/ui/shell.rb", "lib/bundler/ui/silent.rb", "lib/bundler/uri_credentials_filter.rb", "lib/bundler/vendor", "lib/bundler/vendor/fileutils", "lib/bundler/vendor/fileutils/lib", "lib/bundler/vendor/fileutils/lib/fileutils.rb", "lib/bundler/vendor/molinillo", "lib/bundler/vendor/molinillo/lib", "lib/bundler/vendor/molinillo/lib/molinillo", "lib/bundler/vendor/molinillo/lib/molinillo.rb", "lib/bundler/vendor/molinillo/lib/molinillo/compatibility.rb", "lib/bundler/vendor/molinillo/lib/molinillo/delegates", "lib/bundler/vendor/molinillo/lib/molinillo/delegates/resolution_state.rb", "lib/bundler/vendor/molinillo/lib/molinillo/delegates/specification_provider.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/action.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_edge_no_circular.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_vertex.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/delete_edge.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/detach_vertex_named.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/log.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/set_payload.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/tag.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/vertex.rb", "lib/bundler/vendor/molinillo/lib/molinillo/errors.rb", "lib/bundler/vendor/molinillo/lib/molinillo/gem_metadata.rb", "lib/bundler/vendor/molinillo/lib/molinillo/modules", "lib/bundler/vendor/molinillo/lib/molinillo/modules/specification_provider.rb", "lib/bundler/vendor/molinillo/lib/molinillo/modules/ui.rb", "lib/bundler/vendor/molinillo/lib/molinillo/resolution.rb", "lib/bundler/vendor/molinillo/lib/molinillo/resolver.rb", "lib/bundler/vendor/molinillo/lib/molinillo/state.rb", "lib/bundler/vendor/net-http-persistent", "lib/bundler/vendor/net-http-persistent/lib", "lib/bundler/vendor/net-http-persistent/lib/net", "lib/bundler/vendor/net-http-persistent/lib/net/http", "lib/bundler/vendor/net-http-persistent/lib/net/http/faster.rb", "lib/bundler/vendor/net-http-persistent/lib/net/http/persistent", "lib/bundler/vendor/net-http-persistent/lib/net/http/persistent.rb", "lib/bundler/vendor/net-http-persistent/lib/net/http/persistent/ssl_reuse.rb", "lib/bundler/vendor/thor", "lib/bundler/vendor/thor/lib", "lib/bundler/vendor/thor/lib/thor", "lib/bundler/vendor/thor/lib/thor.rb", "lib/bundler/vendor/thor/lib/thor/actions", "lib/bundler/vendor/thor/lib/thor/actions.rb", "lib/bundler/vendor/thor/lib/thor/actions/create_file.rb", "lib/bundler/vendor/thor/lib/thor/actions/create_link.rb", "lib/bundler/vendor/thor/lib/thor/actions/directory.rb", "lib/bundler/vendor/thor/lib/thor/actions/empty_directory.rb", "lib/bundler/vendor/thor/lib/thor/actions/file_manipulation.rb", "lib/bundler/vendor/thor/lib/thor/actions/inject_into_file.rb", "lib/bundler/vendor/thor/lib/thor/base.rb", "lib/bundler/vendor/thor/lib/thor/command.rb", "lib/bundler/vendor/thor/lib/thor/core_ext", "lib/bundler/vendor/thor/lib/thor/core_ext/hash_with_indifferent_access.rb", "lib/bundler/vendor/thor/lib/thor/core_ext/io_binary_read.rb", "lib/bundler/vendor/thor/lib/thor/core_ext/ordered_hash.rb", "lib/bundler/vendor/thor/lib/thor/error.rb", "lib/bundler/vendor/thor/lib/thor/group.rb", "lib/bundler/vendor/thor/lib/thor/invocation.rb", "lib/bundler/vendor/thor/lib/thor/line_editor", "lib/bundler/vendor/thor/lib/thor/line_editor.rb", "lib/bundler/vendor/thor/lib/thor/line_editor/basic.rb", "lib/bundler/vendor/thor/lib/thor/line_editor/readline.rb", "lib/bundler/vendor/thor/lib/thor/parser", "lib/bundler/vendor/thor/lib/thor/parser.rb", "lib/bundler/vendor/thor/lib/thor/parser/argument.rb", "lib/bundler/vendor/thor/lib/thor/parser/arguments.rb", "lib/bundler/vendor/thor/lib/thor/parser/option.rb", "lib/bundler/vendor/thor/lib/thor/parser/options.rb", "lib/bundler/vendor/thor/lib/thor/rake_compat.rb", "lib/bundler/vendor/thor/lib/thor/runner.rb", "lib/bundler/vendor/thor/lib/thor/shell", "lib/bundler/vendor/thor/lib/thor/shell.rb", "lib/bundler/vendor/thor/lib/thor/shell/basic.rb", "lib/bundler/vendor/thor/lib/thor/shell/color.rb", "lib/bundler/vendor/thor/lib/thor/shell/html.rb", "lib/bundler/vendor/thor/lib/thor/util.rb", "lib/bundler/vendor/thor/lib/thor/version.rb", "lib/bundler/vendored_fileutils.rb", "lib/bundler/vendored_molinillo.rb", "lib/bundler/vendored_persistent.rb", "lib/bundler/vendored_thor.rb", "lib/bundler/version.rb", "lib/bundler/version_ranges.rb", "lib/bundler/vlad.rb", "lib/bundler/worker.rb", "lib/bundler/yaml_serializer.rb", "man/bundle-add.ronn", "man/bundle-binstubs.ronn", "man/bundle-check.ronn", "man/bundle-clean.ronn", "man/bundle-config.ronn", "man/bundle-doctor.ronn", "man/bundle-exec.ronn", "man/bundle-gem.ronn", "man/bundle-info.ronn", "man/bundle-init.ronn", "man/bundle-inject.ronn", "man/bundle-install.ronn", "man/bundle-list.ronn", "man/bundle-lock.ronn", "man/bundle-open.ronn", "man/bundle-outdated.ronn", "man/bundle-package.ronn", "man/bundle-platform.ronn", "man/bundle-pristine.ronn", "man/bundle-show.ronn", "man/bundle-update.ronn", "man/bundle-viz.ronn", "man/bundle.ronn", "man/gemfile.5.ronn"], @licenses=["MIT"], @metadata={"bug_tracker_uri"=>"http://github.com/bundler/bundler/issues", "changelog_uri"=>"https://github.com/bundler/bundler/blob/master/CHANGELOG.md", "homepage_uri"=>"https://bundler.io/", "source_code_uri"=>"http://github.com/bundler/bundler/"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada289f440 @requirements=[[">=", #<Gem::Version "1.8.7">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada26a86f0 @requirements=[[">=", #<Gem::Version "1.3.6">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil bundler-1.16.2>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac6f48 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/bundler-unload-1.0.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2abf1a8 @name="bundler-unload", @version=#<Gem::Version "1.0.2">, @platform="ruby", @extensions=[], @full_name="bundler-unload-1.0.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a5dfc0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/bundler-unload-1.0.2.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/mpapis/bundler-unload", @name="bundler-unload", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Allow unloading bundler after Bundler.load", @version=#<Gem::Version "1.0.2">, @authors=["Michal Papis"], @bindir="bin", @cert_chain=[], @date=2013-09-22 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["Apache 2.0"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a5dd18 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a5dc28 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil bundler-unload-1.0.2>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f288 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/cmath-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28ff3b8 @name="cmath", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=[], @full_name="cmath-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada29aab50 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/cmath-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="CMath is a library that provides trigonometric and transcendental functions for complex numbers. The functions in this module accept integers, floating-point numbers or complex numbers as arguments.", @email=[nil], @homepage="https://github.com/ruby/cmath", @name="cmath", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Provides Trigonometric and Transcendental functions for complex numbers", @version=#<Gem::Version "1.0.0">, @authors=["Tadayoshi Funaba"], @bindir="exe", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=["lib/cmath.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29a9b60 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29aa358 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil cmath-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e34d0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/colorator-1.1.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ae3760 @name="colorator", @version=#<Gem::Version "1.1.0">, @platform="ruby", @extensions=[], @full_name="colorator-1.1.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a56310 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/colorator-1.1.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]", "[hidden email]"], @homepage="https://github.com/octopress/colorator", @name="colorator", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Colorize your text in the terminal.", @version=#<Gem::Version "1.1.0">, @authors=["Parker Moore", "Brandon Mathis"], @bindir="bin", @cert_chain=[], @date=2016-06-29 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rspec" requirements="~> 3.1">], @executables=[], @extensions=[], @extra_rdoc_files=["README.markdown", "LICENSE"], @files=["LICENSE", "README.markdown"], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=["--charset=UTF-8"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a55d98 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a55bb8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil colorator-1.1.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e2c10 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/concurrent-ruby-1.1.5.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad5de0 @name="concurrent-ruby", @version=#<Gem::Version "1.1.5">, @platform="ruby", @extensions=[], @full_name="concurrent-ruby-1.1.5", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a3c438 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/concurrent-ruby-1.1.5.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Modern concurrency tools including agents, futures, promises, thread pools, actors, supervisors, and more.\nInspired by Erlang, Clojure, Go, JavaScript, actors, and classic concurrency patterns.\n", @email="[hidden email]", @homepage="http://www.concurrent-ruby.com", @name="concurrent-ruby", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Modern concurrency tools for Ruby. Inspired by Erlang, Clojure, Scala, Haskell, F#, C#, Java, and classic concurrency patterns.", @version=#<Gem::Version "1.1.5">, @authors=["Jerry D'Antonio", "Petr Chalupa", "The Ruby Concurrency Team"], @bindir="bin", @cert_chain=[], @date=2019-03-11 00:00:00 UTC, @dependencies=[], @executables=[], @extensions=[], @extra_rdoc_files=["README.md", "LICENSE.md", "CHANGELOG.md"], @files=["CHANGELOG.md", "LICENSE.md", "README.md"], @licenses=["MIT"], @metadata={"source_code_uri"=>"https://github.com/ruby-concurrency/concurrent-ruby"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29bf168 @requirements=[[">=", #<Gem::Version "1.9.3">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29bfd98 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil concurrent-ruby-1.1.5>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f738 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/csv-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289be80 @name="csv", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=[], @full_name="csv-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada26a48e8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/csv-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="the CSV library began its life as FasterCSV.", @email=[nil], @homepage="https://github.com/ruby/csv", @name="csv", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="CSV Reading and Writing", @version=#<Gem::Version "1.0.0">, @authors=["James Edward Gray II"], @bindir="bin", @cert_chain=[], @date=2017-12-13 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.14">, <Gem::Dependency type=:development name="rake" requirements="~> 12">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=["lib/csv.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29bb9c8 @requirements=[[">=", #<Gem::Version "2.4.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada26a4028 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil csv-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f3a0 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/date-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/date-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2899360 @name="date", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/date/extconf.rb"], @full_name="date-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a3d068 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/date-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/date-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="A subclass of Object includes Comparable module for handling dates.", @email=[nil], @homepage="https://github.com/ruby/date", @name="date", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A subclass of Object includes Comparable module for handling dates.", @version=#<Gem::Version "1.0.0">, @authors=["Tadayoshi Funaba"], @bindir="bin", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=["ext/date/extconf.rb"], @extra_rdoc_files=[], @files=["ext/date/date_core.c", "ext/date/date_parse.c", "ext/date/date_strftime.c", "ext/date/date_strptime.c", "ext/date/date_tmx.h", "ext/date/extconf.rb", "ext/date/prereq.mk", "ext/date/zonetab.h", "ext/date/zonetab.list", "lib/date.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a3c870 @requirements=[[">=", #<Gem::Version "2.4.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a3cd20 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="date-1.0.0" date-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac6f70 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/did_you_mean-1.2.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2abf798 @name="did_you_mean", @version=#<Gem::Version "1.2.0">, @platform="ruby", @extensions=[], @full_name="did_you_mean-1.2.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aae498 @extension_dir=nil, @full_gem_path="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/did_you_mean-1.2.0", @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @loaded=true, @activated=true, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/did_you_mean-1.2.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.6">, @autorequire=nil, @description="The gem that has been saving people from typos since 2014.", @email=["[hidden email]"], @homepage="https://github.com/yuki24/did_you_mean", @name="did_you_mean", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="\"Did you mean?\" experience in Ruby", @version=#<Gem::Version "1.2.0">, @authors=["Yuki Nishijima"], @bindir="bin", @cert_chain=[], @date=2017-12-13 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="minitest" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2aadc00 @requirements=[[">=", #<Gem::Version "2.5.0dev">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2aae088 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="did_you_mean-1.2.0", @full_require_paths=["/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/did_you_mean-1.2.0/lib"] did_you_mean-1.2.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f238 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/etc-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/etc-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28fd388 @name="etc", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/etc/extconf.rb"], @full_name="etc-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a861f0 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/etc-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/etc-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Provides access to information typically stored in UNIX /etc directory.", @email=["[hidden email]"], @homepage="https://github.com/ruby/etc", @name="etc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Provides access to information typically stored in UNIX /etc directory.", @version=#<Gem::Version "1.0.0">, @authors=["Yukihiro Matsumoto"], @bindir="exe", @cert_chain=[], @date=2017-12-13 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=["ext/etc/extconf.rb"], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "etc.gemspec", "ext/etc/etc.c", "ext/etc/extconf.rb", "ext/etc/mkconstants.rb", "test/etc/test_etc.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a859f8 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a85ea8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="etc-1.0.0" etc-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac6ed0 @extension_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/extensions/x86_64-linux/2.5.0/executable-hooks-1.5.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/executable-hooks-1.5.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2abd268 @name="executable-hooks", @version=#<Gem::Version "1.5.0">, @platform="ruby", @extensions=["ext/wrapper_installer/extconf.rb"], @full_name="executable-hooks-1.5.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aac0a8 @extension_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/extensions/x86_64-linux/2.5.0/executable-hooks-1.5.0", @full_gem_path="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/executable-hooks-1.5.0", @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @loaded=true, @activated=true, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/executable-hooks-1.5.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/mpapis/executable-hooks", @name="executable-hooks", @post_install_message="# In case of problems run the following command to update binstubs:\n    gem regenerate_binstubs\n", @rubyforge_project=nil, @signing_key=nil, @summary="Hook into rubygems executables allowing extra actions to be taken before executable is run.", @version=#<Gem::Version "1.5.0">, @authors=["Michal Papis"], @bindir="bin", @cert_chain=[], @date=2018-06-24 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="tf" requirements="~> 0.4">], @executables=["executable-hooks-uninstaller"], @extensions=["ext/wrapper_installer/extconf.rb"], @extra_rdoc_files=[], @files=["bin/executable-hooks-uninstaller", "ext/wrapper_installer/extconf.rb"], @licenses=["Apache 2.0"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a9bd70 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a9bc58 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="executable-hooks-1.5.0", @full_require_paths=["/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/executable-hooks-1.5.0/lib", "/home/jenkins/.rvm/gems/ruby-2.5.1@global/extensions/x86_64-linux/2.5.0/executable-hooks-1.5.0"] executable-hooks-1.5.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f378 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fcntl-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada288e9d8 @name="fcntl", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/fcntl/extconf.rb"], @full_name="fcntl-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a57670 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/fcntl-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fcntl-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Loads constants defined in the OS fcntl.h C header file", @email=["[hidden email]"], @homepage="https://github.com/ruby/fcntl", @name="fcntl", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Loads constants defined in the OS fcntl.h C header file", @version=#<Gem::Version "1.0.0">, @authors=["Yukihiro Matsumoto"], @bindir="exe", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.14">, <Gem::Dependency type=:development name="rake" requirements="~> 12">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=["ext/fcntl/extconf.rb"], @extra_rdoc_files=[], @files=["ext/fcntl/extconf.rb", "ext/fcntl/fcntl.c"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a56e78 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a57328 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="fcntl-1.0.0" fcntl-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e17c0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/ffi-1.11.1.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad2348 @name="ffi", @version=#<Gem::Version "1.11.1">, @platform="ruby", @extensions=["ext/ffi_c/extconf.rb"], @full_name="ffi-1.11.1", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada29af150 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/ffi-1.11.1.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Ruby FFI library", @email="[hidden email]", @homepage="http://wiki.github.com/ffi/ffi", @name="ffi", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Ruby FFI", @version=#<Gem::Version "1.11.1">, @authors=["Wayne Meissner"], @bindir="bin", @cert_chain=[], @date=2019-05-20 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements="~> 12.1">, <Gem::Dependency type=:development name="rake-compiler" requirements="~> 1.0">, <Gem::Dependency type=:development name="rake-compiler-dock" requirements="~> 0.7.0">, <Gem::Dependency type=:development name="rspec" requirements="~> 2.14.1">, <Gem::Dependency type=:development name="rubygems-tasks" requirements="~> 0.2.4">], @executables=[], @extensions=["ext/ffi_c/extconf.rb"], @extra_rdoc_files=[], @files=["ext/ffi_c/extconf.rb"], @licenses=["BSD-3-Clause"], @metadata={"bug_tracker_uri"=>"https://github.com/ffi/ffi/issues", "changelog_uri"=>"https://github.com/ffi/ffi/blob/master/CHANGELOG.md", "documentation_uri"=>"https://github.com/ffi/ffi/wiki", "mailing_list_uri"=>"http://groups.google.com/group/ruby-ffi", "source_code_uri"=>"https://github.com/ffi/ffi/", "wiki_uri"=>"https://github.com/ffi/ffi/wiki"}, @platform="ruby", @rdoc_options=["--exclude=ext/ffi_c/.*\\.o$", "--exclude=ffi_c\\.(bundle|so)$"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29ac748 @requirements=[[">=", #<Gem::Version "2.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29ae6b0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil ffi-1.11.1>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ec20 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fiddle-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28184b8 @name="fiddle", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=[], @full_name="fiddle-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ad7708 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fiddle-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="A libffi wrapper for Ruby.", @email=["[hidden email]", "[hidden email]"], @homepage="https://github.com/ruby/fiddle", @name="fiddle", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A libffi wrapper for Ruby.", @version=#<Gem::Version "1.0.0">, @authors=["Aaron Patterson", "SHIBATA Hiroshi"], @bindir="exe", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "ext/fiddle/closure.c", "ext/fiddle/closure.h", "ext/fiddle/conversions.c", "ext/fiddle/conversions.h", "ext/fiddle/extconf.rb", "ext/fiddle/extlibs", "ext/fiddle/fiddle.c", "ext/fiddle/fiddle.h", "ext/fiddle/function.c", "ext/fiddle/function.h", "ext/fiddle/handle.c", "ext/fiddle/pointer.c", "ext/fiddle/win32/fficonfig.h", "ext/fiddle/win32/libffi-3.2.1-mswin.patch", "ext/fiddle/win32/libffi-config.rb", "ext/fiddle/win32/libffi.mk.tmpl", "fiddle.gemspec", "lib/fiddle.rb", "lib/fiddle/closure.rb", "lib/fiddle/cparser.rb", "lib/fiddle/function.rb", "lib/fiddle/import.rb", "lib/fiddle/pack.rb", "lib/fiddle/struct.rb", "lib/fiddle/types.rb", "lib/fiddle/value.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2ad6f38 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2ad73c0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil fiddle-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f1e8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fileutils-1.0.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28e2010 @name="fileutils", @version=#<Gem::Version "1.0.2">, @platform="ruby", @extensions=[], @full_name="fileutils-1.0.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada293a788 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fileutils-1.0.2.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Several file utility methods for copying, moving, removing, etc.", @email=[nil], @homepage="https://github.com/ruby/fileutils", @name="fileutils", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Several file utility methods for copying, moving, removing, etc.", @version=#<Gem::Version "1.0.2">, @authors=["Minero Aoki"], @bindir="bin", @cert_chain=[], @date=2017-12-22 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "fileutils.gemspec", "lib/fileutils.rb"], @licenses=["BSD-2-Clause"], @metadata={"source_code_uri"=>"https://github.com/ruby/fileutils"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2938f00 @requirements=[[">=", #<Gem::Version "2.4.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2939c98 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil fileutils-1.0.2>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e1310 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/forwardable-extended-2.6.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad0980 @name="forwardable-extended", @version=#<Gem::Version "2.6.0">, @platform="ruby", @extensions=[], @full_name="forwardable-extended-2.6.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada29a6d70 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/forwardable-extended-2.6.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Forwardable with hash, and instance variable extensions.", @email=["[hidden email]"], @homepage="http://github.com/envygeeks/forwardable-extended", @name="forwardable-extended", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Forwardable with hash, and instance variable extensions.", @version=#<Gem::Version "2.6.0">, @authors=["Jordon Bedwell"], @bindir="bin", @cert_chain=[], @date=2016-04-06 00:00:00 UTC, @dependencies=[], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29a6230 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29a5f60 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil forwardable-extended-2.6.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ef18 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/gdbm-2.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada27f8de8 @name="gdbm", @version=#<Gem::Version "2.0.0">, @platform="ruby", @extensions=["ext/gdbm/extconf.rb"], @full_name="gdbm-2.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aa1658 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/gdbm-2.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/gdbm-2.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Ruby extension for GNU dbm.", @email=["[hidden email]"], @homepage="https://github.com/ruby/gdbm", @name="gdbm", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Ruby extension for GNU dbm.", @version=#<Gem::Version "2.0.0">, @authors=["Yukihiro Matsumoto"], @bindir="exe", @cert_chain=[], @date=2017-04-28 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.14">, <Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=["ext/gdbm/extconf.rb"], @extra_rdoc_files=[], @files=["ext/gdbm/extconf.rb", "ext/gdbm/gdbm.c"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2aa0e38 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2aa12e8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="gdbm-2.0.0" gdbm-2.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac70d8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/gem-wrappers-1.4.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ac63b8 @name="gem-wrappers", @version=#<Gem::Version "1.4.0">, @platform="ruby", @extensions=["ext/wrapper_generator/extconf.rb"], @full_name="gem-wrappers-1.4.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada28a3928 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/gem-wrappers-1.4.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/rvm/gem-wrappers", @name="gem-wrappers", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Create gem wrappers for easy use of gems in cron and other system locations.", @version=#<Gem::Version "1.4.0">, @authors=["Michal Papis"], @bindir="bin", @cert_chain=[], @date=2017-09-22 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements="< 11">, <Gem::Dependency type=:development name="minitest" requirements="< 6">], @executables=[], @extensions=["ext/wrapper_generator/extconf.rb"], @extra_rdoc_files=[], @files=["ext/wrapper_generator/extconf.rb"], @licenses=["Apache 2.0"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada28a33d8 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada28a2c08 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil gem-wrappers-1.4.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f210 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/io-console-0.4.6.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28e3f00 @name="io-console", @version=#<Gem::Version "0.4.6">, @platform="ruby", @extensions=["ext/io/console/extconf.rb"], @full_name="io-console-0.4.6", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a975e0 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/io-console-0.4.6", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/io-console-0.4.6.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="add console capabilities to IO instances.", @email="[hidden email]", @homepage="https://github.com/ruby/io-console", @name="io-console", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Console interface", @version=#<Gem::Version "0.4.6">, @authors=["Nobu Nakada"], @bindir="bin", @cert_chain=["certs/nobu.pem"], @date=2017-09-16 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler-dock" requirements=">= 0.6.1">], @executables=[], @extensions=["ext/io/console/extconf.rb"], @extra_rdoc_files=[], @files=["ext/io/console/console.c", "ext/io/console/extconf.rb", "ext/io/console/win32_vk.inc", "lib/console/size.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a96ca8 @requirements=[[">=", #<Gem::Version "2.0.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a97158 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="io-console-0.4.6" io-console-0.4.6>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f698 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/ipaddr-1.2.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289aa80 @name="ipaddr", @version=#<Gem::Version "1.2.0">, @platform="ruby", @extensions=[], @full_name="ipaddr-1.2.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada28a2b18 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/ipaddr-1.2.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="IPAddr provides a set of methods to manipulate an IP address.\nBoth IPv4 and IPv6 are supported.\n", @email=["[hidden email]", "[hidden email]"], @homepage="https://github.com/ruby/ipaddr", @name="ipaddr", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A class to manipulate an IP address in ruby", @version=#<Gem::Version "1.2.0">, @authors=["Akinori MUSHA", "Hajimu UMEMOTO"], @bindir="exe", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.15">, <Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "ipaddr.gemspec", "lib/ipaddr.rb"], @licenses=[], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada28a2690 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada28a2488 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil ipaddr-1.2.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e2418 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-3.5.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad4ff8 @name="jekyll", @version=#<Gem::Version "3.5.0">, @platform="ruby", @extensions=[], @full_name="jekyll-3.5.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada28e0b20 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-3.5.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Jekyll is a simple, blog aware, static site generator.", @email="[hidden email]", @homepage="https://github.com/jekyll/jekyll", @name="jekyll", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A simple, blog aware, static site generator.", @version=#<Gem::Version "3.5.0">, @authors=["Tom Preston-Werner"], @bindir="exe", @cert_chain=[], @date=2017-06-18 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="addressable" requirements="~> 2.4">, <Gem::Dependency type=:runtime name="colorator" requirements="~> 1.0">, <Gem::Dependency type=:runtime name="jekyll-sass-converter" requirements="~> 1.0">, <Gem::Dependency type=:runtime name="jekyll-watch" requirements="~> 1.1">, <Gem::Dependency type=:runtime name="kramdown" requirements="~> 1.3">, <Gem::Dependency type=:runtime name="liquid" requirements="~> 4.0">, <Gem::Dependency type=:runtime name="mercenary" requirements="~> 0.3.3">, <Gem::Dependency type=:runtime name="pathutil" requirements="~> 0.9">, <Gem::Dependency type=:runtime name="rouge" requirements="~> 1.7">, <Gem::Dependency type=:runtime name="safe_yaml" requirements="~> 1.0">], @executables=["jekyll"], @extensions=[], @extra_rdoc_files=["README.markdown", "LICENSE"], @files=["LICENSE", "README.markdown", "exe/jekyll"], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=["--charset=UTF-8"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada281beb0 @requirements=[[">=", #<Gem::Version "2.0.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada27fb778 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=2, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-3.5.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e3570 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-3.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ae3f30 @name="jekyll-asciidoc", @version=#<Gem::Version "3.0.0">, @platform="ruby", @extensions=[], @full_name="jekyll-asciidoc-3.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ae3300 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-3.0.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @email=["[hidden email]"], @homepage="https://github.com/asciidoctor/jekyll-asciidoc", @name="jekyll-asciidoc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @version=#<Gem::Version "3.0.0">, @authors=["Dan Allen", "Paul Rayner"], @bindir="bin", @cert_chain=[], @date=2019-08-31 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="asciidoctor" requirements=">= 1.5.0">, <Gem::Dependency type=:runtime name="jekyll" requirements=">= 3.0.0">, <Gem::Dependency type=:development name="deep-cover-core" requirements="~> 0.7.0">, <Gem::Dependency type=:development name="pygments.rb" requirements="~> 1.2.1">, <Gem::Dependency type=:development name="rake" requirements="~> 12.3.2">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.8.0">, <Gem::Dependency type=:development name="rubocop" requirements="~> 0.74.0">, <Gem::Dependency type=:development name="simplecov" requirements="~> 0.17.0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={"bug_tracker_uri"=>"https://github.com/asciidoctor/jekyll-asciidoc/issues", "changelog_uri"=>"https://github.com/asciidoctor/jekyll-asciidoc/blob/master/CHANGELOG.adoc", "mailing_list_uri"=>"http://discuss.asciidoctor.org", "source_code_uri"=>"https://github.com/asciidoctor/jekyll-asciidoc"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2ae3080 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2ae2f40 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-asciidoc-3.0.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e6068 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-2.1.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada26b4428 @name="jekyll-asciidoc", @version=#<Gem::Version "2.1.0">, @platform="ruby", @extensions=[], @full_name="jekyll-asciidoc-2.1.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ad2140 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-2.1.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @email=["[hidden email]"], @homepage="https://github.com/asciidoctor/jekyll-asciidoc", @name="jekyll-asciidoc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @version=#<Gem::Version "2.1.0">, @authors=["Dan Allen", "Paul Rayner"], @bindir="bin", @cert_chain=[], @date=2017-05-21 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="asciidoctor" requirements=">= 1.5.0">, <Gem::Dependency type=:runtime name="jekyll" requirements=">= 2.3.0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.5.0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2ad11f0 @requirements=[[">=", #<Gem::Version "1.9.3">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2ad19e8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-asciidoc-2.1.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e63b0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-sass-converter-1.5.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada26ce5d0 @name="jekyll-sass-converter", @version=#<Gem::Version "1.5.2">, @platform="ruby", @extensions=[], @full_name="jekyll-sass-converter-1.5.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2abfea0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-sass-converter-1.5.2.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/jekyll/jekyll-sass-converter", @name="jekyll-sass-converter", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A basic Sass converter for Jekyll.", @version=#<Gem::Version "1.5.2">, @authors=["Parker Moore"], @bindir="bin", @cert_chain=[], @date=2018-02-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="sass" requirements="~> 3.4">, <Gem::Dependency type=:development name="bundler" requirements="~> 1.5">, <Gem::Dependency type=:development name="jekyll" requirements=">= 2.0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rspec" requirements=">= 0">, <Gem::Dependency type=:development name="rubocop" requirements="= 0.51">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2abfbf8 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2abfa68 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-sass-converter-1.5.2>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e2008 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-watch-1.5.1.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad3bf8 @name="jekyll-watch", @version=#<Gem::Version "1.5.1">, @platform="ruby", @extensions=[], @full_name="jekyll-watch-1.5.1", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aaff28 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-watch-1.5.1.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/jekyll/jekyll-watch", @name="jekyll-watch", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Rebuild your Jekyll site when a file changes with the `--watch` switch.", @version=#<Gem::Version "1.5.1">, @authors=["Parker Moore"], @bindir="bin", @cert_chain=[], @date=2017-12-02 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="listen" requirements="~> 3.0">, <Gem::Dependency type=:development name="bundler" requirements="~> 1.15">, <Gem::Dependency type=:development name="jekyll" requirements="~> 3.6">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.0">, <Gem::Dependency type=:development name="rubocop" requirements="~> 0.51">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2aaf5c8 @requirements=[[">=", #<Gem::Version "2.1.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2aafaf0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-watch-1.5.1>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ebf8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/json-2.1.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada278ff78 @name="json", @version=#<Gem::Version "2.1.0">, @platform="ruby", @extensions=["ext/json/ext/generator/extconf.rb", "ext/json/e

[...truncated too long message...]

tadata={}, @platform="ruby", @rdoc_options=["--line-numbers", "--inline-source", "--title", "Tilt", "--main", "Tilt"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2b27de8 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2b27cd0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil tilt-2.0.9>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ecc0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/webrick-1.4.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2819688 @name="webrick", @version=#<Gem::Version "1.4.2">, @platform="ruby", @extensions=[], @full_name="webrick-1.4.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ac40b8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/webrick-1.4.2.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="WEBrick is an HTTP server toolkit that can be configured as an HTTPS server, a proxy server, and a virtual-host server.", @email=[nil, nil, "[hidden email]"], @homepage="https://www.ruby-lang.org", @name="webrick", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="HTTP server toolkit", @version=#<Gem::Version "1.4.2">, @authors=["TAKAHASHI Masayoshi", "GOTOU YUUZOU", "Eric Wong"], @bindir="bin", @cert_chain=[], @date=2017-12-24 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=["lib/webrick.rb", "lib/webrick/accesslog.rb", "lib/webrick/cgi.rb", "lib/webrick/compat.rb", "lib/webrick/config.rb", "lib/webrick/cookie.rb", "lib/webrick/htmlutils.rb", "lib/webrick/httpauth.rb", "lib/webrick/httpauth/authenticator.rb", "lib/webrick/httpauth/basicauth.rb", "lib/webrick/httpauth/digestauth.rb", "lib/webrick/httpauth/htdigest.rb", "lib/webrick/httpauth/htgroup.rb", "lib/webrick/httpauth/htpasswd.rb", "lib/webrick/httpauth/userdb.rb", "lib/webrick/httpproxy.rb", "lib/webrick/httprequest.rb", "lib/webrick/httpresponse.rb", "lib/webrick/https.rb", "lib/webrick/httpserver.rb", "lib/webrick/httpservlet.rb", "lib/webrick/httpservlet/abstract.rb", "lib/webrick/httpservlet/cgi_runner.rb", "lib/webrick/httpservlet/cgihandler.rb", "lib/webrick/httpservlet/erbhandler.rb", "lib/webrick/httpservlet/filehandler.rb", "lib/webrick/httpservlet/prochandler.rb", "lib/webrick/httpstatus.rb", "lib/webrick/httputils.rb", "lib/webrick/httpversion.rb", "lib/webrick/log.rb", "lib/webrick/server.rb", "lib/webrick/ssl.rb", "lib/webrick/utils.rb", "lib/webrick/version.rb"], @licenses=["BSD-2-Clause"], @metadata={"bug_tracker_uri"=>"https://bugs.ruby-lang.org/projects/ruby-trunk/issues", "homepage_uri"=>"https://www.ruby-lang.org", "source_code_uri"=>"https://svn.ruby-lang.org/repos/ruby"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada288c908 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada288e320 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil webrick-1.4.2>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac7088 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/xmlrpc-0.3.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ac5d00 @name="xmlrpc", @version=#<Gem::Version "0.3.0">, @platform="ruby", @extensions=[], @full_name="xmlrpc-0.3.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2b25e80 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/xmlrpc-0.3.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.6">, @autorequire=nil, @description="XMLRPC is a lightweight protocol that enables remote procedure calls over HTTP.", @email=["[hidden email]"], @homepage="https://github.com/ruby/xmlrpc", @name="xmlrpc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="XMLRPC is a lightweight protocol that enables remote procedure calls over HTTP.", @version=#<Gem::Version "0.3.0">, @authors=["SHIBATA Hiroshi"], @bindir="exe", @cert_chain=[], @date=2017-02-16 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["Ruby"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2b256b0 @requirements=[[">=", #<Gem::Version "2.3">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2b25b10 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil xmlrpc-0.3.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289eea0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/zlib-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada281a1f0 @name="zlib", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/zlib/extconf.rb"], @full_name="zlib-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada289a148 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/zlib-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/zlib-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Ruby interface for the zlib compression/decompression library", @email=["[hidden email]", nil], @homepage="https://github.com/ruby/zlib", @name="zlib", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Ruby interface for the zlib compression/decompression library", @version=#<Gem::Version "1.0.0">, @authors=["Yukihiro Matsumoto", "UENO Katsuhiro"], @bindir="exe", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=["ext/zlib/extconf.rb"], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "ext/zlib/extconf.rb", "ext/zlib/zlib.c", "zlib.gemspec"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2899068 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2899ae0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="zlib-1.0.0" zlib-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>] (RuntimeError)
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems/specification.rb:1156:in `latest_specs'
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems.rb:556:in `find_latest_files'
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/executable-hooks-1.5.0/lib/executable-hooks/hooks.rb:19:in `load_executable_plugins'
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/executable-hooks-1.5.0/lib/executable-hooks/hooks.rb:48:in `run'
     [exec]     from /home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/bin/ruby_executable_hooks:10:in `<main>'

BUILD FAILED
/home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/solr-ref-guide/build.xml:299: exec returned: 1

Total time: 16 seconds
Build step 'Execute shell' marked build as failure
Archiving artifacts
Publishing Javadoc
Email was triggered for: Failure - Any
Sending email for trigger: Failure - Any

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Solr-reference-guide-master - Build # 20305 - Failure

Ishan Chattopadhyaya
Phew, relief. Thanks Cassandra.

On Mon, Nov 18, 2019 at 10:39 PM Cassandra Targett <[hidden email]> wrote:
I think this was a transient failure while installing the gems, which happens from time-to-time. The fact that it ran successfully the next time (https://builds.apache.org/job/Solr-reference-guide-master/20306/) means it wasn’t anything wrong with the doc changes you made.

Thanks for paying attention to it and trying to follow up!

Cassandra
On Nov 18, 2019, 10:51 AM -0600, Ishan Chattopadhyaya <[hidden email]>, wrote:
I have no clue from this why this failed. But, given I pushed ref-guide change recently, it could be SOLR-13662 :-(
I'll take a look tonight!

On Mon, Nov 18, 2019 at 10:02 PM Apache Jenkins Server <[hidden email]> wrote:
Build: https://builds.apache.org/job/Solr-reference-guide-master/20305/

Log:
Started by timer
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on websites (git-websites svn-websites) in workspace /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master
No credentials specified
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://gitbox.apache.org/repos/asf/lucene-solr.git # timeout=10
Cleaning workspace
 > git rev-parse --verify HEAD # timeout=10
Resetting working tree
 > git reset --hard # timeout=10
 > git clean -fdx # timeout=10
Fetching upstream changes from https://gitbox.apache.org/repos/asf/lucene-solr.git
 > git --version # timeout=10
 > git fetch --tags --progress -- https://gitbox.apache.org/repos/asf/lucene-solr.git +refs/heads/*:refs/remotes/origin/*
 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
 > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision 0857bb60d3bb5bd6d8d851ce2e01edd9bde310ea (refs/remotes/origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 0857bb60d3bb5bd6d8d851ce2e01edd9bde310ea
Commit message: "SOLR-13662, SOLR-13822: Fixing bug with refresh API, un-ignoring the test and new reference guide on Package Management"
 > git rev-list --no-walk 0857bb60d3bb5bd6d8d851ce2e01edd9bde310ea # timeout=10
No emails were triggered.
[Solr-reference-guide-master] $ /bin/bash -xe /tmp/jenkins8774107111781570038.sh
+ bash dev-tools/scripts/jenkins.build.ref.guide.sh
+ set -e
+ RVM_PATH=/home/jenkins/.rvm
+ RUBY_VERSION=ruby-2.5.1
+ GEMSET=solr-refguide-gemset
+ curl -sSL https://get.rvm.io
+ bash -s -- --ignore-dotfiles stable
Turning on ignore dotfiles mode.
Downloading https://github.com/rvm/rvm/archive/1.29.9.tar.gz
Downloading https://github.com/rvm/rvm/releases/download/1.29.9/1.29.9.tar.gz.asc
gpg: Signature made Wed 10 Jul 2019 08:31:02 AM UTC
gpg:                using RSA key 7D2BAF1CF37B13E2069D6956105BD0E739499BDB
gpg: Good signature from "Piotr Kuczynski <[hidden email]>" [unknown]
gpg: WARNING: This key is not certified with a trusted signature!
gpg:          There is no indication that the signature belongs to the owner.
Primary key fingerprint: 7D2B AF1C F37B 13E2 069D  6956 105B D0E7 3949 9BDB
GPG verified '/home/jenkins/.rvm/archives/rvm-1.29.9.tgz'
Upgrading the RVM installation in /home/jenkins/.rvm/
Upgrade of RVM in /home/jenkins/.rvm/ is complete.

<warn>Thanks for installing RVM 🙏</warn>
Please consider donating to our open collective to help us maintain RVM.

👉  Donate: <code>https://opencollective.com/rvm/donate</code>


+ set +x
Running 'source /home/jenkins/.rvm/scripts/rvm'
Running 'rvm cleanup all'
Cleaning up rvm archives
Cleaning up rvm repos
Cleaning up rvm src
Cleaning up rvm log
Cleaning up rvm tmp
Cleaning up rvm gemsets
Cleaning up rvm links
Cleanup done.
Running 'rvm autolibs disable'
Running 'rvm install ruby-2.5.1'
Already installed ruby-2.5.1.
To reinstall use:

    rvm reinstall ruby-2.5.1

Running 'rvm gemset create solr-refguide-gemset'
ruby-2.5.1 - #gemset created /home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset
ruby-2.5.1 - #generating solr-refguide-gemset wrappers.......
Running 'rvm ruby-2.5.1@solr-refguide-gemset'
Using /home/jenkins/.rvm/gems/ruby-2.5.1 with gemset solr-refguide-gemset
Running 'gem install --force --version 3.5.0 jekyll'
Successfully installed jekyll-3.5.0
Parsing documentation for jekyll-3.5.0
Done installing documentation for jekyll after 0 seconds
1 gem installed
Running 'gem uninstall --all --ignore-dependencies asciidoctor'
Removing asciidoctor
Removing asciidoctor-safe
Successfully uninstalled asciidoctor-1.5.6.2
Running 'gem install --force --version 2.0.10 asciidoctor'
Successfully installed asciidoctor-2.0.10
Parsing documentation for asciidoctor-2.0.10
Installing ri documentation for asciidoctor-2.0.10
Done installing documentation for asciidoctor after 2 seconds
1 gem installed
Running 'gem install --force --version 3.0.0 jekyll-asciidoc'
Successfully installed asciidoctor-2.0.10
Successfully installed jekyll-asciidoc-3.0.0
Parsing documentation for asciidoctor-2.0.10
Installing ri documentation for asciidoctor-2.0.10
Parsing documentation for jekyll-asciidoc-3.0.0
Done installing documentation for asciidoctor, jekyll-asciidoc after 2 seconds
2 gems installed
Running 'gem install --force --version 4.0.1 slim'
Successfully installed slim-4.0.1
Parsing documentation for slim-4.0.1
Done installing documentation for slim after 0 seconds
1 gem installed
Running 'gem install --force --version 2.0.10 tilt'
Successfully installed tilt-2.0.10
Parsing documentation for tilt-2.0.10
Done installing documentation for tilt after 0 seconds
1 gem installed
Running 'gem install --force --version 1.1.5 concurrent-ruby'
Successfully installed concurrent-ruby-1.1.5
Parsing documentation for concurrent-ruby-1.1.5
Done installing documentation for concurrent-ruby after 1 seconds
1 gem installed
+ ant clean build-site build-pdf
Buildfile: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/solr-ref-guide/build.xml

clean:

build-init:
    [mkdir] Created dir: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content
     [echo] Copying all non template files from src ...
     [copy] Copying 487 files to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content
     [echo] Copy (w/prop replacement) any template files from src...
     [copy] Copying 1 file to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content

ivy-availability-check:
[loadresource] Do not set property disallowed.ivy.jars.list as its length is 0.

-ivy-fail-disallowed-ivy-version:

ivy-fail:

ivy-configure:
[ivy:configure] :: Apache Ivy 2.4.0 - 20141213170938 :: http://ant.apache.org/ivy/ ::
[ivy:configure] :: loading settings :: file = /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/lucene/top-level-ivy-settings.xml

resolve:

build-tools-jar:
    [mkdir] Created dir: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/classes
    [javac] Compiling 4 source files to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/classes
    [javac] warning: No processor claimed any of these annotations: java.base/java.lang.SuppressWarnings
    [javac] 1 warning
     [copy] Copying 1 file to /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/classes
      [jar] Building jar: /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/solr-ref-guide-tools.jar

build-nav-data-files:
     [java] Building up tree of all known pages
     [java] WARNING: An illegal reflective access operation has occurred
     [java] WARNING: Illegal reflective access by org.jruby.util.SecurityHelper (file:/home/jenkins/.ivy2/cache/org.asciidoctor/asciidoctor-ant/jars/asciidoctor-ant-1.6.2.jar) to field java.lang.reflect.Field.modifiers
     [java] WARNING: Please consider reporting this to the maintainers of org.jruby.util.SecurityHelper
     [java] WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
     [java] WARNING: All illegal access operations will be denied in a future release
     [java] Creating /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content/_data/pdf-main-body.adoc
     [java] Creating /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content/_data/scrollnav.json
     [java] Creating /home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/build/solr-ref-guide/content/_data/sidebar.json

-build-site:
     [echo] Running Jekyll...
     [exec] /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems/specification.rb:746:in `_all': pid: 4754 nil spec! included in [#<Gem::StubSpecification:0x000055ada26e2f80 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/addressable-2.6.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ae09e8 @name="addressable", @version=#<Gem::Version "2.6.0">, @platform="ruby", @extensions=[], @full_name="addressable-2.6.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a854f8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/addressable-2.6.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Addressable is a replacement for the URI implementation that is part of\nRuby's standard library. It more closely conforms to the relevant RFCs and\nadds support for IRIs and URI templates.\n", @email="[hidden email]", @homepage="https://github.com/sporkmonger/addressable", @name="addressable", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="URI Implementation", @version=#<Gem::Version "2.6.0">, @authors=["Bob Aman"], @bindir="bin", @cert_chain=[], @date=2019-01-18 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="public_suffix" requirements="< 4.0, >= 2.0.2">, <Gem::Dependency type=:development name="bundler" requirements="< 3.0, >= 1.0">], @executables=[], @extensions=[], @extra_rdoc_files=["README.md"], @files=["README.md"], @licenses=["Apache-2.0"], @metadata={}, @platform="ruby", @rdoc_options=["--main", "README.md"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a84800 @requirements=[[">=", #<Gem::Version "2.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a850c0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil addressable-2.6.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e2080 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/asciidoctor-2.0.10.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad4198 @name="asciidoctor", @version=#<Gem::Version "2.0.10">, @platform="ruby", @extensions=[], @full_name="asciidoctor-2.0.10", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a61300 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/asciidoctor-2.0.10.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="A fast, open source text processor and publishing toolchain for converting AsciiDoc content to HTML 5, DocBook 5, and other formats.", @email=["[hidden email]"], @homepage="https://asciidoctor.org", @name="asciidoctor", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="An implementation of the AsciiDoc text processor and publishing toolchain", @version=#<Gem::Version "2.0.10">, @authors=["Dan Allen", "Sarah White", "Ryan Waldron", "Jason Porter", "Nick Hengeveld", "Jeremy McAnally"], @bindir="bin", @cert_chain=[], @date=2018-03-20 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="asciimath" requirements="~> 1.0.0">, <Gem::Dependency type=:development name="coderay" requirements="~> 1.1.0">, <Gem::Dependency type=:development name="concurrent-ruby" requirements="~> 1.1.0">, <Gem::Dependency type=:development name="cucumber" requirements="~> 3.1.0">, <Gem::Dependency type=:development name="erubis" requirements="~> 2.7.0">, <Gem::Dependency type=:development name="haml" requirements="~> 5.0.0">, <Gem::Dependency type=:development name="minitest" requirements="~> 5.11.0">, <Gem::Dependency type=:development name="nokogiri" requirements="~> 1.10.0">, <Gem::Dependency type=:development name="rake" requirements="~> 12.3.0">, <Gem::Dependency type=:development name="rouge" requirements="~> 3.3.0">, <Gem::Dependency type=:development name="rspec-expectations" requirements="~> 3.8.0">, <Gem::Dependency type=:development name="slim" requirements="~> 4.0.0">, <Gem::Dependency type=:development name="tilt" requirements="~> 2.0.0">], @executables=["asciidoctor"], @extensions=[], @extra_rdoc_files=[], @files=["bin/asciidoctor"], @licenses=["MIT"], @metadata={"bug_tracker_uri"=>"https://github.com/asciidoctor/asciidoctor/issues", "changelog_uri"=>"https://github.com/asciidoctor/asciidoctor/blob/master/CHANGELOG.adoc", "mailing_list_uri"=>"http://discuss.asciidoctor.org", "source_code_uri"=>"https://github.com/asciidoctor/asciidoctor"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a60f90 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a60e28 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil asciidoctor-2.0.10>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f828 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/bigdecimal-1.3.4", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bigdecimal-1.3.4.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289ddc0 @name="bigdecimal", @version=#<Gem::Version "1.3.4">, @platform="ruby", @extensions=["ext/bigdecimal/extconf.rb"], @full_name="bigdecimal-1.3.4", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2930b20 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/bigdecimal-1.3.4", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bigdecimal-1.3.4.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="This library provides arbitrary-precision decimal floating-point number class.", @email=["[hidden email]"], @homepage="https://github.com/ruby/bigdecimal", @name="bigdecimal", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Arbitrary-precision decimal floating-point number library.", @version=#<Gem::Version "1.3.4">, @authors=["Kenta Murata", "Zachary Scott", "Shigeo Kobayashi"], @bindir="bin", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0.9">, <Gem::Dependency type=:development name="rake-compiler-dock" requirements=">= 0.6.1">, <Gem::Dependency type=:development name="minitest" requirements="~> 4.7.5">, <Gem::Dependency type=:development name="pry" requirements=">= 0">], @executables=[], @extensions=["ext/bigdecimal/extconf.rb"], @extra_rdoc_files=[], @files=["bigdecimal.gemspec", "ext/bigdecimal/bigdecimal.c", "ext/bigdecimal/bigdecimal.h", "ext/bigdecimal/depend", "ext/bigdecimal/extconf.rb", "lib/bigdecimal/jacobian.rb", "lib/bigdecimal/ludcmp.rb", "lib/bigdecimal/math.rb", "lib/bigdecimal/newton.rb", "lib/bigdecimal/util.rb", "sample/linear.rb", "sample/nlsolve.rb", "sample/pi.rb"], @licenses=["ruby"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2930760 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2930288 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="bigdecimal-1.3.4" bigdecimal-1.3.4>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f558 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bundler-1.16.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289a3f0 @name="bundler", @version=#<Gem::Version "1.16.2">, @platform="ruby", @extensions=[], @full_name="bundler-1.16.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada26a9c08 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/bundler-1.16.2.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably", @email=["[hidden email]"], @homepage="http://bundler.io", @name="bundler", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="The best way to manage your application's dependencies", @version=#<Gem::Version "1.16.2">, @authors=["André Arko", "Samuel Giddins", "Chris Morris", "James Wen", "Tim Moore", "André Medeiros", "Jessica Lynn Suttles", "Terence Lee", "Carl Lerche", "Yehuda Katz"], @bindir="exe", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="automatiek" requirements="~> 0.1.0">, <Gem::Dependency type=:development name="mustache" requirements="= 0.99.6">, <Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="rdiscount" requirements="~> 2.2">, <Gem::Dependency type=:development name="ronn" requirements="~> 0.7.3">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.6">], @executables=["bundle"], @extensions=[], @extra_rdoc_files=[], @files=["CHANGELOG.md", "CODE_OF_CONDUCT.md", "CONTRIBUTING.md", "LICENSE.md", "README.md", "exe/bundle", "exe/bundle_ruby", "exe/bundler", "lib/bundler", "lib/bundler.rb", "lib/bundler/build_metadata.rb", "lib/bundler/capistrano.rb", "lib/bundler/cli", "lib/bundler/cli.rb", "lib/bundler/cli/add.rb", "lib/bundler/cli/binstubs.rb", "lib/bundler/cli/cache.rb", "lib/bundler/cli/check.rb", "lib/bundler/cli/clean.rb", "lib/bundler/cli/common.rb", "lib/bundler/cli/config.rb", "lib/bundler/cli/console.rb", "lib/bundler/cli/doctor.rb", "lib/bundler/cli/exec.rb", "lib/bundler/cli/gem.rb", "lib/bundler/cli/info.rb", "lib/bundler/cli/init.rb", "lib/bundler/cli/inject.rb", "lib/bundler/cli/install.rb", "lib/bundler/cli/issue.rb", "lib/bundler/cli/list.rb", "lib/bundler/cli/lock.rb", "lib/bundler/cli/open.rb", "lib/bundler/cli/outdated.rb", "lib/bundler/cli/package.rb", "lib/bundler/cli/platform.rb", "lib/bundler/cli/plugin.rb", "lib/bundler/cli/pristine.rb", "lib/bundler/cli/show.rb", "lib/bundler/cli/update.rb", "lib/bundler/cli/viz.rb", "lib/bundler/compact_index_client", "lib/bundler/compact_index_client.rb", "lib/bundler/compact_index_client/cache.rb", "lib/bundler/compact_index_client/updater.rb", "lib/bundler/compatibility_guard.rb", "lib/bundler/constants.rb", "lib/bundler/current_ruby.rb", "lib/bundler/definition.rb", "lib/bundler/dep_proxy.rb", "lib/bundler/dependency.rb", "lib/bundler/deployment.rb", "lib/bundler/deprecate.rb", "lib/bundler/dsl.rb", "lib/bundler/endpoint_specification.rb", "lib/bundler/env.rb", "lib/bundler/environment_preserver.rb", "lib/bundler/errors.rb", "lib/bundler/feature_flag.rb", "lib/bundler/fetcher", "lib/bundler/fetcher.rb", "lib/bundler/fetcher/base.rb", "lib/bundler/fetcher/compact_index.rb", "lib/bundler/fetcher/dependency.rb", "lib/bundler/fetcher/downloader.rb", "lib/bundler/fetcher/index.rb", "lib/bundler/friendly_errors.rb", "lib/bundler/gem_helper.rb", "lib/bundler/gem_helpers.rb", "lib/bundler/gem_remote_fetcher.rb", "lib/bundler/gem_tasks.rb", "lib/bundler/gem_version_promoter.rb", "lib/bundler/gemdeps.rb", "lib/bundler/graph.rb", "lib/bundler/index.rb", "lib/bundler/injector.rb", "lib/bundler/inline.rb", "lib/bundler/installer", "lib/bundler/installer.rb", "lib/bundler/installer/gem_installer.rb", "lib/bundler/installer/parallel_installer.rb", "lib/bundler/installer/standalone.rb", "lib/bundler/lazy_specification.rb", "lib/bundler/lockfile_generator.rb", "lib/bundler/lockfile_parser.rb", "lib/bundler/match_platform.rb", "lib/bundler/mirror.rb", "lib/bundler/plugin", "lib/bundler/plugin.rb", "lib/bundler/plugin/api", "lib/bundler/plugin/api.rb", "lib/bundler/plugin/api/source.rb", "lib/bundler/plugin/dsl.rb", "lib/bundler/plugin/index.rb", "lib/bundler/plugin/installer", "lib/bundler/plugin/installer.rb", "lib/bundler/plugin/installer/git.rb", "lib/bundler/plugin/installer/rubygems.rb", "lib/bundler/plugin/source_list.rb", "lib/bundler/process_lock.rb", "lib/bundler/psyched_yaml.rb", "lib/bundler/remote_specification.rb", "lib/bundler/resolver", "lib/bundler/resolver.rb", "lib/bundler/resolver/spec_group.rb", "lib/bundler/retry.rb", "lib/bundler/ruby_dsl.rb", "lib/bundler/ruby_version.rb", "lib/bundler/rubygems_ext.rb", "lib/bundler/rubygems_gem_installer.rb", "lib/bundler/rubygems_integration.rb", "lib/bundler/runtime.rb", "lib/bundler/settings", "lib/bundler/settings.rb", "lib/bundler/settings/validator.rb", "lib/bundler/setup.rb", "lib/bundler/shared_helpers.rb", "lib/bundler/similarity_detector.rb", "lib/bundler/source", "lib/bundler/source.rb", "lib/bundler/source/gemspec.rb", "lib/bundler/source/git", "lib/bundler/source/git.rb", "lib/bundler/source/git/git_proxy.rb", "lib/bundler/source/metadata.rb", "lib/bundler/source/path", "lib/bundler/source/path.rb", "lib/bundler/source/path/installer.rb", "lib/bundler/source/rubygems", "lib/bundler/source/rubygems.rb", "lib/bundler/source/rubygems/remote.rb", "lib/bundler/source_list.rb", "lib/bundler/spec_set.rb", "lib/bundler/ssl_certs", "lib/bundler/ssl_certs/certificate_manager.rb", "lib/bundler/ssl_certs/index.rubygems.org", "lib/bundler/ssl_certs/index.rubygems.org/GlobalSignRootCA.pem", "lib/bundler/ssl_certs/rubygems.global.ssl.fastly.net", "lib/bundler/ssl_certs/rubygems.global.ssl.fastly.net/DigiCertHighAssuranceEVRootCA.pem", "lib/bundler/ssl_certs/rubygems.org", "lib/bundler/ssl_certs/rubygems.org/AddTrustExternalCARoot.pem", "lib/bundler/stub_specification.rb", "lib/bundler/templates", "lib/bundler/templates/Executable", "lib/bundler/templates/Executable.bundler", "lib/bundler/templates/Executable.standalone", "lib/bundler/templates/Gemfile", "lib/bundler/templates/gems.rb", "lib/bundler/templates/newgem", "lib/bundler/templates/newgem/CODE_OF_CONDUCT.md.tt", "lib/bundler/templates/newgem/Gemfile.tt", "lib/bundler/templates/newgem/LICENSE.txt.tt", "lib/bundler/templates/newgem/README.md.tt", "lib/bundler/templates/newgem/Rakefile.tt", "lib/bundler/templates/newgem/bin", "lib/bundler/templates/newgem/bin/console.tt", "lib/bundler/templates/newgem/bin/setup.tt", "lib/bundler/templates/newgem/exe", "lib/bundler/templates/newgem/exe/newgem.tt", "lib/bundler/templates/newgem/ext", "lib/bundler/templates/newgem/ext/newgem", "lib/bundler/templates/newgem/ext/newgem/extconf.rb.tt", "lib/bundler/templates/newgem/ext/newgem/newgem.c.tt", "lib/bundler/templates/newgem/ext/newgem/newgem.h.tt", "lib/bundler/templates/newgem/gitignore.tt", "lib/bundler/templates/newgem/lib", "lib/bundler/templates/newgem/lib/newgem", "lib/bundler/templates/newgem/lib/newgem.rb.tt", "lib/bundler/templates/newgem/lib/newgem/version.rb.tt", "lib/bundler/templates/newgem/newgem.gemspec.tt", "lib/bundler/templates/newgem/rspec.tt", "lib/bundler/templates/newgem/spec", "lib/bundler/templates/newgem/spec/newgem_spec.rb.tt", "lib/bundler/templates/newgem/spec/spec_helper.rb.tt", "lib/bundler/templates/newgem/test", "lib/bundler/templates/newgem/test/newgem_test.rb.tt", "lib/bundler/templates/newgem/test/test_helper.rb.tt", "lib/bundler/templates/newgem/travis.yml.tt", "lib/bundler/ui", "lib/bundler/ui.rb", "lib/bundler/ui/rg_proxy.rb", "lib/bundler/ui/shell.rb", "lib/bundler/ui/silent.rb", "lib/bundler/uri_credentials_filter.rb", "lib/bundler/vendor", "lib/bundler/vendor/fileutils", "lib/bundler/vendor/fileutils/lib", "lib/bundler/vendor/fileutils/lib/fileutils.rb", "lib/bundler/vendor/molinillo", "lib/bundler/vendor/molinillo/lib", "lib/bundler/vendor/molinillo/lib/molinillo", "lib/bundler/vendor/molinillo/lib/molinillo.rb", "lib/bundler/vendor/molinillo/lib/molinillo/compatibility.rb", "lib/bundler/vendor/molinillo/lib/molinillo/delegates", "lib/bundler/vendor/molinillo/lib/molinillo/delegates/resolution_state.rb", "lib/bundler/vendor/molinillo/lib/molinillo/delegates/specification_provider.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/action.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_edge_no_circular.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_vertex.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/delete_edge.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/detach_vertex_named.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/log.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/set_payload.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/tag.rb", "lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/vertex.rb", "lib/bundler/vendor/molinillo/lib/molinillo/errors.rb", "lib/bundler/vendor/molinillo/lib/molinillo/gem_metadata.rb", "lib/bundler/vendor/molinillo/lib/molinillo/modules", "lib/bundler/vendor/molinillo/lib/molinillo/modules/specification_provider.rb", "lib/bundler/vendor/molinillo/lib/molinillo/modules/ui.rb", "lib/bundler/vendor/molinillo/lib/molinillo/resolution.rb", "lib/bundler/vendor/molinillo/lib/molinillo/resolver.rb", "lib/bundler/vendor/molinillo/lib/molinillo/state.rb", "lib/bundler/vendor/net-http-persistent", "lib/bundler/vendor/net-http-persistent/lib", "lib/bundler/vendor/net-http-persistent/lib/net", "lib/bundler/vendor/net-http-persistent/lib/net/http", "lib/bundler/vendor/net-http-persistent/lib/net/http/faster.rb", "lib/bundler/vendor/net-http-persistent/lib/net/http/persistent", "lib/bundler/vendor/net-http-persistent/lib/net/http/persistent.rb", "lib/bundler/vendor/net-http-persistent/lib/net/http/persistent/ssl_reuse.rb", "lib/bundler/vendor/thor", "lib/bundler/vendor/thor/lib", "lib/bundler/vendor/thor/lib/thor", "lib/bundler/vendor/thor/lib/thor.rb", "lib/bundler/vendor/thor/lib/thor/actions", "lib/bundler/vendor/thor/lib/thor/actions.rb", "lib/bundler/vendor/thor/lib/thor/actions/create_file.rb", "lib/bundler/vendor/thor/lib/thor/actions/create_link.rb", "lib/bundler/vendor/thor/lib/thor/actions/directory.rb", "lib/bundler/vendor/thor/lib/thor/actions/empty_directory.rb", "lib/bundler/vendor/thor/lib/thor/actions/file_manipulation.rb", "lib/bundler/vendor/thor/lib/thor/actions/inject_into_file.rb", "lib/bundler/vendor/thor/lib/thor/base.rb", "lib/bundler/vendor/thor/lib/thor/command.rb", "lib/bundler/vendor/thor/lib/thor/core_ext", "lib/bundler/vendor/thor/lib/thor/core_ext/hash_with_indifferent_access.rb", "lib/bundler/vendor/thor/lib/thor/core_ext/io_binary_read.rb", "lib/bundler/vendor/thor/lib/thor/core_ext/ordered_hash.rb", "lib/bundler/vendor/thor/lib/thor/error.rb", "lib/bundler/vendor/thor/lib/thor/group.rb", "lib/bundler/vendor/thor/lib/thor/invocation.rb", "lib/bundler/vendor/thor/lib/thor/line_editor", "lib/bundler/vendor/thor/lib/thor/line_editor.rb", "lib/bundler/vendor/thor/lib/thor/line_editor/basic.rb", "lib/bundler/vendor/thor/lib/thor/line_editor/readline.rb", "lib/bundler/vendor/thor/lib/thor/parser", "lib/bundler/vendor/thor/lib/thor/parser.rb", "lib/bundler/vendor/thor/lib/thor/parser/argument.rb", "lib/bundler/vendor/thor/lib/thor/parser/arguments.rb", "lib/bundler/vendor/thor/lib/thor/parser/option.rb", "lib/bundler/vendor/thor/lib/thor/parser/options.rb", "lib/bundler/vendor/thor/lib/thor/rake_compat.rb", "lib/bundler/vendor/thor/lib/thor/runner.rb", "lib/bundler/vendor/thor/lib/thor/shell", "lib/bundler/vendor/thor/lib/thor/shell.rb", "lib/bundler/vendor/thor/lib/thor/shell/basic.rb", "lib/bundler/vendor/thor/lib/thor/shell/color.rb", "lib/bundler/vendor/thor/lib/thor/shell/html.rb", "lib/bundler/vendor/thor/lib/thor/util.rb", "lib/bundler/vendor/thor/lib/thor/version.rb", "lib/bundler/vendored_fileutils.rb", "lib/bundler/vendored_molinillo.rb", "lib/bundler/vendored_persistent.rb", "lib/bundler/vendored_thor.rb", "lib/bundler/version.rb", "lib/bundler/version_ranges.rb", "lib/bundler/vlad.rb", "lib/bundler/worker.rb", "lib/bundler/yaml_serializer.rb", "man/bundle-add.ronn", "man/bundle-binstubs.ronn", "man/bundle-check.ronn", "man/bundle-clean.ronn", "man/bundle-config.ronn", "man/bundle-doctor.ronn", "man/bundle-exec.ronn", "man/bundle-gem.ronn", "man/bundle-info.ronn", "man/bundle-init.ronn", "man/bundle-inject.ronn", "man/bundle-install.ronn", "man/bundle-list.ronn", "man/bundle-lock.ronn", "man/bundle-open.ronn", "man/bundle-outdated.ronn", "man/bundle-package.ronn", "man/bundle-platform.ronn", "man/bundle-pristine.ronn", "man/bundle-show.ronn", "man/bundle-update.ronn", "man/bundle-viz.ronn", "man/bundle.ronn", "man/gemfile.5.ronn"], @licenses=["MIT"], @metadata={"bug_tracker_uri"=>"http://github.com/bundler/bundler/issues", "changelog_uri"=>"https://github.com/bundler/bundler/blob/master/CHANGELOG.md", "homepage_uri"=>"https://bundler.io/", "source_code_uri"=>"http://github.com/bundler/bundler/"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada289f440 @requirements=[[">=", #<Gem::Version "1.8.7">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada26a86f0 @requirements=[[">=", #<Gem::Version "1.3.6">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil bundler-1.16.2>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac6f48 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/bundler-unload-1.0.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2abf1a8 @name="bundler-unload", @version=#<Gem::Version "1.0.2">, @platform="ruby", @extensions=[], @full_name="bundler-unload-1.0.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a5dfc0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/bundler-unload-1.0.2.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/mpapis/bundler-unload", @name="bundler-unload", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Allow unloading bundler after Bundler.load", @version=#<Gem::Version "1.0.2">, @authors=["Michal Papis"], @bindir="bin", @cert_chain=[], @date=2013-09-22 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["Apache 2.0"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a5dd18 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a5dc28 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil bundler-unload-1.0.2>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f288 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/cmath-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28ff3b8 @name="cmath", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=[], @full_name="cmath-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada29aab50 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/cmath-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="CMath is a library that provides trigonometric and transcendental functions for complex numbers. The functions in this module accept integers, floating-point numbers or complex numbers as arguments.", @email=[nil], @homepage="https://github.com/ruby/cmath", @name="cmath", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Provides Trigonometric and Transcendental functions for complex numbers", @version=#<Gem::Version "1.0.0">, @authors=["Tadayoshi Funaba"], @bindir="exe", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=["lib/cmath.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29a9b60 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29aa358 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil cmath-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e34d0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/colorator-1.1.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ae3760 @name="colorator", @version=#<Gem::Version "1.1.0">, @platform="ruby", @extensions=[], @full_name="colorator-1.1.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a56310 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/colorator-1.1.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]", "[hidden email]"], @homepage="https://github.com/octopress/colorator", @name="colorator", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Colorize your text in the terminal.", @version=#<Gem::Version "1.1.0">, @authors=["Parker Moore", "Brandon Mathis"], @bindir="bin", @cert_chain=[], @date=2016-06-29 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rspec" requirements="~> 3.1">], @executables=[], @extensions=[], @extra_rdoc_files=["README.markdown", "LICENSE"], @files=["LICENSE", "README.markdown"], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=["--charset=UTF-8"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a55d98 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a55bb8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil colorator-1.1.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e2c10 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/concurrent-ruby-1.1.5.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad5de0 @name="concurrent-ruby", @version=#<Gem::Version "1.1.5">, @platform="ruby", @extensions=[], @full_name="concurrent-ruby-1.1.5", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a3c438 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/concurrent-ruby-1.1.5.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Modern concurrency tools including agents, futures, promises, thread pools, actors, supervisors, and more.\nInspired by Erlang, Clojure, Go, JavaScript, actors, and classic concurrency patterns.\n", @email="[hidden email]", @homepage="http://www.concurrent-ruby.com", @name="concurrent-ruby", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Modern concurrency tools for Ruby. Inspired by Erlang, Clojure, Scala, Haskell, F#, C#, Java, and classic concurrency patterns.", @version=#<Gem::Version "1.1.5">, @authors=["Jerry D'Antonio", "Petr Chalupa", "The Ruby Concurrency Team"], @bindir="bin", @cert_chain=[], @date=2019-03-11 00:00:00 UTC, @dependencies=[], @executables=[], @extensions=[], @extra_rdoc_files=["README.md", "LICENSE.md", "CHANGELOG.md"], @files=["CHANGELOG.md", "LICENSE.md", "README.md"], @licenses=["MIT"], @metadata={"source_code_uri"=>"https://github.com/ruby-concurrency/concurrent-ruby"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29bf168 @requirements=[[">=", #<Gem::Version "1.9.3">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29bfd98 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil concurrent-ruby-1.1.5>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f738 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/csv-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289be80 @name="csv", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=[], @full_name="csv-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada26a48e8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/csv-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="the CSV library began its life as FasterCSV.", @email=[nil], @homepage="https://github.com/ruby/csv", @name="csv", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="CSV Reading and Writing", @version=#<Gem::Version "1.0.0">, @authors=["James Edward Gray II"], @bindir="bin", @cert_chain=[], @date=2017-12-13 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.14">, <Gem::Dependency type=:development name="rake" requirements="~> 12">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=["lib/csv.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29bb9c8 @requirements=[[">=", #<Gem::Version "2.4.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada26a4028 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil csv-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f3a0 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/date-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/date-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2899360 @name="date", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/date/extconf.rb"], @full_name="date-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a3d068 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/date-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/date-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="A subclass of Object includes Comparable module for handling dates.", @email=[nil], @homepage="https://github.com/ruby/date", @name="date", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A subclass of Object includes Comparable module for handling dates.", @version=#<Gem::Version "1.0.0">, @authors=["Tadayoshi Funaba"], @bindir="bin", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=["ext/date/extconf.rb"], @extra_rdoc_files=[], @files=["ext/date/date_core.c", "ext/date/date_parse.c", "ext/date/date_strftime.c", "ext/date/date_strptime.c", "ext/date/date_tmx.h", "ext/date/extconf.rb", "ext/date/prereq.mk", "ext/date/zonetab.h", "ext/date/zonetab.list", "lib/date.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a3c870 @requirements=[[">=", #<Gem::Version "2.4.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a3cd20 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="date-1.0.0" date-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac6f70 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/did_you_mean-1.2.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2abf798 @name="did_you_mean", @version=#<Gem::Version "1.2.0">, @platform="ruby", @extensions=[], @full_name="did_you_mean-1.2.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aae498 @extension_dir=nil, @full_gem_path="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/did_you_mean-1.2.0", @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @loaded=true, @activated=true, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/did_you_mean-1.2.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.6">, @autorequire=nil, @description="The gem that has been saving people from typos since 2014.", @email=["[hidden email]"], @homepage="https://github.com/yuki24/did_you_mean", @name="did_you_mean", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="\"Did you mean?\" experience in Ruby", @version=#<Gem::Version "1.2.0">, @authors=["Yuki Nishijima"], @bindir="bin", @cert_chain=[], @date=2017-12-13 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="minitest" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2aadc00 @requirements=[[">=", #<Gem::Version "2.5.0dev">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2aae088 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="did_you_mean-1.2.0", @full_require_paths=["/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/did_you_mean-1.2.0/lib"] did_you_mean-1.2.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f238 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/etc-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/etc-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28fd388 @name="etc", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/etc/extconf.rb"], @full_name="etc-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a861f0 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/etc-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/etc-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Provides access to information typically stored in UNIX /etc directory.", @email=["[hidden email]"], @homepage="https://github.com/ruby/etc", @name="etc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Provides access to information typically stored in UNIX /etc directory.", @version=#<Gem::Version "1.0.0">, @authors=["Yukihiro Matsumoto"], @bindir="exe", @cert_chain=[], @date=2017-12-13 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=["ext/etc/extconf.rb"], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "etc.gemspec", "ext/etc/etc.c", "ext/etc/extconf.rb", "ext/etc/mkconstants.rb", "test/etc/test_etc.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a859f8 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a85ea8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="etc-1.0.0" etc-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac6ed0 @extension_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/extensions/x86_64-linux/2.5.0/executable-hooks-1.5.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/executable-hooks-1.5.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2abd268 @name="executable-hooks", @version=#<Gem::Version "1.5.0">, @platform="ruby", @extensions=["ext/wrapper_installer/extconf.rb"], @full_name="executable-hooks-1.5.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aac0a8 @extension_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/extensions/x86_64-linux/2.5.0/executable-hooks-1.5.0", @full_gem_path="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/executable-hooks-1.5.0", @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @loaded=true, @activated=true, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/executable-hooks-1.5.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/mpapis/executable-hooks", @name="executable-hooks", @post_install_message="# In case of problems run the following command to update binstubs:\n    gem regenerate_binstubs\n", @rubyforge_project=nil, @signing_key=nil, @summary="Hook into rubygems executables allowing extra actions to be taken before executable is run.", @version=#<Gem::Version "1.5.0">, @authors=["Michal Papis"], @bindir="bin", @cert_chain=[], @date=2018-06-24 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="tf" requirements="~> 0.4">], @executables=["executable-hooks-uninstaller"], @extensions=["ext/wrapper_installer/extconf.rb"], @extra_rdoc_files=[], @files=["bin/executable-hooks-uninstaller", "ext/wrapper_installer/extconf.rb"], @licenses=["Apache 2.0"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a9bd70 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a9bc58 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="executable-hooks-1.5.0", @full_require_paths=["/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems/executable-hooks-1.5.0/lib", "/home/jenkins/.rvm/gems/ruby-2.5.1@global/extensions/x86_64-linux/2.5.0/executable-hooks-1.5.0"] executable-hooks-1.5.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f378 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fcntl-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada288e9d8 @name="fcntl", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/fcntl/extconf.rb"], @full_name="fcntl-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a57670 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/fcntl-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fcntl-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Loads constants defined in the OS fcntl.h C header file", @email=["[hidden email]"], @homepage="https://github.com/ruby/fcntl", @name="fcntl", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Loads constants defined in the OS fcntl.h C header file", @version=#<Gem::Version "1.0.0">, @authors=["Yukihiro Matsumoto"], @bindir="exe", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.14">, <Gem::Dependency type=:development name="rake" requirements="~> 12">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=["ext/fcntl/extconf.rb"], @extra_rdoc_files=[], @files=["ext/fcntl/extconf.rb", "ext/fcntl/fcntl.c"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a56e78 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a57328 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="fcntl-1.0.0" fcntl-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e17c0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/ffi-1.11.1.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad2348 @name="ffi", @version=#<Gem::Version "1.11.1">, @platform="ruby", @extensions=["ext/ffi_c/extconf.rb"], @full_name="ffi-1.11.1", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada29af150 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/ffi-1.11.1.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Ruby FFI library", @email="[hidden email]", @homepage="http://wiki.github.com/ffi/ffi", @name="ffi", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Ruby FFI", @version=#<Gem::Version "1.11.1">, @authors=["Wayne Meissner"], @bindir="bin", @cert_chain=[], @date=2019-05-20 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements="~> 12.1">, <Gem::Dependency type=:development name="rake-compiler" requirements="~> 1.0">, <Gem::Dependency type=:development name="rake-compiler-dock" requirements="~> 0.7.0">, <Gem::Dependency type=:development name="rspec" requirements="~> 2.14.1">, <Gem::Dependency type=:development name="rubygems-tasks" requirements="~> 0.2.4">], @executables=[], @extensions=["ext/ffi_c/extconf.rb"], @extra_rdoc_files=[], @files=["ext/ffi_c/extconf.rb"], @licenses=["BSD-3-Clause"], @metadata={"bug_tracker_uri"=>"https://github.com/ffi/ffi/issues", "changelog_uri"=>"https://github.com/ffi/ffi/blob/master/CHANGELOG.md", "documentation_uri"=>"https://github.com/ffi/ffi/wiki", "mailing_list_uri"=>"http://groups.google.com/group/ruby-ffi", "source_code_uri"=>"https://github.com/ffi/ffi/", "wiki_uri"=>"https://github.com/ffi/ffi/wiki"}, @platform="ruby", @rdoc_options=["--exclude=ext/ffi_c/.*\\.o$", "--exclude=ffi_c\\.(bundle|so)$"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29ac748 @requirements=[[">=", #<Gem::Version "2.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29ae6b0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil ffi-1.11.1>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ec20 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fiddle-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28184b8 @name="fiddle", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=[], @full_name="fiddle-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ad7708 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fiddle-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="A libffi wrapper for Ruby.", @email=["[hidden email]", "[hidden email]"], @homepage="https://github.com/ruby/fiddle", @name="fiddle", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A libffi wrapper for Ruby.", @version=#<Gem::Version "1.0.0">, @authors=["Aaron Patterson", "SHIBATA Hiroshi"], @bindir="exe", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "ext/fiddle/closure.c", "ext/fiddle/closure.h", "ext/fiddle/conversions.c", "ext/fiddle/conversions.h", "ext/fiddle/extconf.rb", "ext/fiddle/extlibs", "ext/fiddle/fiddle.c", "ext/fiddle/fiddle.h", "ext/fiddle/function.c", "ext/fiddle/function.h", "ext/fiddle/handle.c", "ext/fiddle/pointer.c", "ext/fiddle/win32/fficonfig.h", "ext/fiddle/win32/libffi-3.2.1-mswin.patch", "ext/fiddle/win32/libffi-config.rb", "ext/fiddle/win32/libffi.mk.tmpl", "fiddle.gemspec", "lib/fiddle.rb", "lib/fiddle/closure.rb", "lib/fiddle/cparser.rb", "lib/fiddle/function.rb", "lib/fiddle/import.rb", "lib/fiddle/pack.rb", "lib/fiddle/struct.rb", "lib/fiddle/types.rb", "lib/fiddle/value.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2ad6f38 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2ad73c0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil fiddle-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f1e8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fileutils-1.0.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28e2010 @name="fileutils", @version=#<Gem::Version "1.0.2">, @platform="ruby", @extensions=[], @full_name="fileutils-1.0.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada293a788 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/fileutils-1.0.2.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Several file utility methods for copying, moving, removing, etc.", @email=[nil], @homepage="https://github.com/ruby/fileutils", @name="fileutils", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Several file utility methods for copying, moving, removing, etc.", @version=#<Gem::Version "1.0.2">, @authors=["Minero Aoki"], @bindir="bin", @cert_chain=[], @date=2017-12-22 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "fileutils.gemspec", "lib/fileutils.rb"], @licenses=["BSD-2-Clause"], @metadata={"source_code_uri"=>"https://github.com/ruby/fileutils"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2938f00 @requirements=[[">=", #<Gem::Version "2.4.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2939c98 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil fileutils-1.0.2>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e1310 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/forwardable-extended-2.6.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad0980 @name="forwardable-extended", @version=#<Gem::Version "2.6.0">, @platform="ruby", @extensions=[], @full_name="forwardable-extended-2.6.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada29a6d70 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/forwardable-extended-2.6.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Forwardable with hash, and instance variable extensions.", @email=["[hidden email]"], @homepage="http://github.com/envygeeks/forwardable-extended", @name="forwardable-extended", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Forwardable with hash, and instance variable extensions.", @version=#<Gem::Version "2.6.0">, @authors=["Jordon Bedwell"], @bindir="bin", @cert_chain=[], @date=2016-04-06 00:00:00 UTC, @dependencies=[], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada29a6230 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada29a5f60 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil forwardable-extended-2.6.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ef18 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/gdbm-2.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada27f8de8 @name="gdbm", @version=#<Gem::Version "2.0.0">, @platform="ruby", @extensions=["ext/gdbm/extconf.rb"], @full_name="gdbm-2.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aa1658 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/gdbm-2.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/gdbm-2.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Ruby extension for GNU dbm.", @email=["[hidden email]"], @homepage="https://github.com/ruby/gdbm", @name="gdbm", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Ruby extension for GNU dbm.", @version=#<Gem::Version "2.0.0">, @authors=["Yukihiro Matsumoto"], @bindir="exe", @cert_chain=[], @date=2017-04-28 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.14">, <Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=["ext/gdbm/extconf.rb"], @extra_rdoc_files=[], @files=["ext/gdbm/extconf.rb", "ext/gdbm/gdbm.c"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2aa0e38 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2aa12e8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="gdbm-2.0.0" gdbm-2.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac70d8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/gem-wrappers-1.4.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ac63b8 @name="gem-wrappers", @version=#<Gem::Version "1.4.0">, @platform="ruby", @extensions=["ext/wrapper_generator/extconf.rb"], @full_name="gem-wrappers-1.4.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada28a3928 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/gem-wrappers-1.4.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/rvm/gem-wrappers", @name="gem-wrappers", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Create gem wrappers for easy use of gems in cron and other system locations.", @version=#<Gem::Version "1.4.0">, @authors=["Michal Papis"], @bindir="bin", @cert_chain=[], @date=2017-09-22 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements="< 11">, <Gem::Dependency type=:development name="minitest" requirements="< 6">], @executables=[], @extensions=["ext/wrapper_generator/extconf.rb"], @extra_rdoc_files=[], @files=["ext/wrapper_generator/extconf.rb"], @licenses=["Apache 2.0"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada28a33d8 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada28a2c08 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil gem-wrappers-1.4.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289f210 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/io-console-0.4.6.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada28e3f00 @name="io-console", @version=#<Gem::Version "0.4.6">, @platform="ruby", @extensions=["ext/io/console/extconf.rb"], @full_name="io-console-0.4.6", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2a975e0 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/io-console-0.4.6", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/io-console-0.4.6.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="add console capabilities to IO instances.", @email="[hidden email]", @homepage="https://github.com/ruby/io-console", @name="io-console", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Console interface", @version=#<Gem::Version "0.4.6">, @authors=["Nobu Nakada"], @bindir="bin", @cert_chain=["certs/nobu.pem"], @date=2017-09-16 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler-dock" requirements=">= 0.6.1">], @executables=[], @extensions=["ext/io/console/extconf.rb"], @extra_rdoc_files=[], @files=["ext/io/console/console.c", "ext/io/console/extconf.rb", "ext/io/console/win32_vk.inc", "lib/console/size.rb"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2a96ca8 @requirements=[[">=", #<Gem::Version "2.0.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2a97158 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="io-console-0.4.6" io-console-0.4.6>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada289f698 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/ipaddr-1.2.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada289aa80 @name="ipaddr", @version=#<Gem::Version "1.2.0">, @platform="ruby", @extensions=[], @full_name="ipaddr-1.2.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada28a2b18 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/ipaddr-1.2.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="IPAddr provides a set of methods to manipulate an IP address.\nBoth IPv4 and IPv6 are supported.\n", @email=["[hidden email]", "[hidden email]"], @homepage="https://github.com/ruby/ipaddr", @name="ipaddr", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A class to manipulate an IP address in ruby", @version=#<Gem::Version "1.2.0">, @authors=["Akinori MUSHA", "Hajimu UMEMOTO"], @bindir="exe", @cert_chain=[], @date=2018-08-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements="~> 1.15">, <Gem::Dependency type=:development name="rake" requirements="~> 10.0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "ipaddr.gemspec", "lib/ipaddr.rb"], @licenses=[], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada28a2690 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada28a2488 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil ipaddr-1.2.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada26e2418 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-3.5.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad4ff8 @name="jekyll", @version=#<Gem::Version "3.5.0">, @platform="ruby", @extensions=[], @full_name="jekyll-3.5.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada28e0b20 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-3.5.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="Jekyll is a simple, blog aware, static site generator.", @email="[hidden email]", @homepage="https://github.com/jekyll/jekyll", @name="jekyll", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A simple, blog aware, static site generator.", @version=#<Gem::Version "3.5.0">, @authors=["Tom Preston-Werner"], @bindir="exe", @cert_chain=[], @date=2017-06-18 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="addressable" requirements="~> 2.4">, <Gem::Dependency type=:runtime name="colorator" requirements="~> 1.0">, <Gem::Dependency type=:runtime name="jekyll-sass-converter" requirements="~> 1.0">, <Gem::Dependency type=:runtime name="jekyll-watch" requirements="~> 1.1">, <Gem::Dependency type=:runtime name="kramdown" requirements="~> 1.3">, <Gem::Dependency type=:runtime name="liquid" requirements="~> 4.0">, <Gem::Dependency type=:runtime name="mercenary" requirements="~> 0.3.3">, <Gem::Dependency type=:runtime name="pathutil" requirements="~> 0.9">, <Gem::Dependency type=:runtime name="rouge" requirements="~> 1.7">, <Gem::Dependency type=:runtime name="safe_yaml" requirements="~> 1.0">], @executables=["jekyll"], @extensions=[], @extra_rdoc_files=["README.markdown", "LICENSE"], @files=["LICENSE", "README.markdown", "exe/jekyll"], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=["--charset=UTF-8"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada281beb0 @requirements=[[">=", #<Gem::Version "2.0.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada27fb778 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=2, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-3.5.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e3570 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-3.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ae3f30 @name="jekyll-asciidoc", @version=#<Gem::Version "3.0.0">, @platform="ruby", @extensions=[], @full_name="jekyll-asciidoc-3.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ae3300 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-3.0.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @email=["[hidden email]"], @homepage="https://github.com/asciidoctor/jekyll-asciidoc", @name="jekyll-asciidoc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @version=#<Gem::Version "3.0.0">, @authors=["Dan Allen", "Paul Rayner"], @bindir="bin", @cert_chain=[], @date=2019-08-31 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="asciidoctor" requirements=">= 1.5.0">, <Gem::Dependency type=:runtime name="jekyll" requirements=">= 3.0.0">, <Gem::Dependency type=:development name="deep-cover-core" requirements="~> 0.7.0">, <Gem::Dependency type=:development name="pygments.rb" requirements="~> 1.2.1">, <Gem::Dependency type=:development name="rake" requirements="~> 12.3.2">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.8.0">, <Gem::Dependency type=:development name="rubocop" requirements="~> 0.74.0">, <Gem::Dependency type=:development name="simplecov" requirements="~> 0.17.0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={"bug_tracker_uri"=>"https://github.com/asciidoctor/jekyll-asciidoc/issues", "changelog_uri"=>"https://github.com/asciidoctor/jekyll-asciidoc/blob/master/CHANGELOG.adoc", "mailing_list_uri"=>"http://discuss.asciidoctor.org", "source_code_uri"=>"https://github.com/asciidoctor/jekyll-asciidoc"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2ae3080 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2ae2f40 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-asciidoc-3.0.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e6068 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-2.1.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada26b4428 @name="jekyll-asciidoc", @version=#<Gem::Version "2.1.0">, @platform="ruby", @extensions=[], @full_name="jekyll-asciidoc-2.1.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ad2140 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-asciidoc-2.1.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @email=["[hidden email]"], @homepage="https://github.com/asciidoctor/jekyll-asciidoc", @name="jekyll-asciidoc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A Jekyll plugin that converts the AsciiDoc source files in your site to HTML pages using Asciidoctor.", @version=#<Gem::Version "2.1.0">, @authors=["Dan Allen", "Paul Rayner"], @bindir="bin", @cert_chain=[], @date=2017-05-21 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="asciidoctor" requirements=">= 1.5.0">, <Gem::Dependency type=:runtime name="jekyll" requirements=">= 2.3.0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.5.0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2ad11f0 @requirements=[[">=", #<Gem::Version "1.9.3">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2ad19e8 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-asciidoc-2.1.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e63b0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-sass-converter-1.5.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada26ce5d0 @name="jekyll-sass-converter", @version=#<Gem::Version "1.5.2">, @platform="ruby", @extensions=[], @full_name="jekyll-sass-converter-1.5.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2abfea0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-sass-converter-1.5.2.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/jekyll/jekyll-sass-converter", @name="jekyll-sass-converter", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="A basic Sass converter for Jekyll.", @version=#<Gem::Version "1.5.2">, @authors=["Parker Moore"], @bindir="bin", @cert_chain=[], @date=2018-02-03 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="sass" requirements="~> 3.4">, <Gem::Dependency type=:development name="bundler" requirements="~> 1.5">, <Gem::Dependency type=:development name="jekyll" requirements=">= 2.0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rspec" requirements=">= 0">, <Gem::Dependency type=:development name="rubocop" requirements="= 0.51">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2abfbf8 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2abfa68 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-sass-converter-1.5.2>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada26e2008 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-watch-1.5.1.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ad3bf8 @name="jekyll-watch", @version=#<Gem::Version "1.5.1">, @platform="ruby", @extensions=[], @full_name="jekyll-watch-1.5.1", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2aaff28 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/specifications/jekyll-watch-1.5.1.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.7">, @autorequire=nil, @description=nil, @email=["[hidden email]"], @homepage="https://github.com/jekyll/jekyll-watch", @name="jekyll-watch", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Rebuild your Jekyll site when a file changes with the `--watch` switch.", @version=#<Gem::Version "1.5.1">, @authors=["Parker Moore"], @bindir="bin", @cert_chain=[], @date=2017-12-02 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:runtime name="listen" requirements="~> 3.0">, <Gem::Dependency type=:development name="bundler" requirements="~> 1.15">, <Gem::Dependency type=:development name="jekyll" requirements="~> 3.6">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rspec" requirements="~> 3.0">, <Gem::Dependency type=:development name="rubocop" requirements="~> 0.51">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["MIT"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2aaf5c8 @requirements=[[">=", #<Gem::Version "2.1.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2aafaf0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil jekyll-watch-1.5.1>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ebf8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/json-2.1.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada278ff78 @name="json", @version=#<Gem::Version "2.1.0">, @platform="ruby", @extensions=["ext/json/ext/generator/extconf.rb", "ext/json/e

[...truncated too long message...]

tadata={}, @platform="ruby", @rdoc_options=["--line-numbers", "--inline-source", "--title", "Tilt", "--main", "Tilt"], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2b27de8 @requirements=[[">=", #<Gem::Version "0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2b27cd0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.7", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil tilt-2.0.9>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289ecc0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/webrick-1.4.2.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2819688 @name="webrick", @version=#<Gem::Version "1.4.2">, @platform="ruby", @extensions=[], @full_name="webrick-1.4.2", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2ac40b8 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/webrick-1.4.2.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="WEBrick is an HTTP server toolkit that can be configured as an HTTPS server, a proxy server, and a virtual-host server.", @email=[nil, nil, "[hidden email]"], @homepage="https://www.ruby-lang.org", @name="webrick", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="HTTP server toolkit", @version=#<Gem::Version "1.4.2">, @authors=["TAKAHASHI Masayoshi", "GOTOU YUUZOU", "Eric Wong"], @bindir="bin", @cert_chain=[], @date=2017-12-24 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="rake" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=["lib/webrick.rb", "lib/webrick/accesslog.rb", "lib/webrick/cgi.rb", "lib/webrick/compat.rb", "lib/webrick/config.rb", "lib/webrick/cookie.rb", "lib/webrick/htmlutils.rb", "lib/webrick/httpauth.rb", "lib/webrick/httpauth/authenticator.rb", "lib/webrick/httpauth/basicauth.rb", "lib/webrick/httpauth/digestauth.rb", "lib/webrick/httpauth/htdigest.rb", "lib/webrick/httpauth/htgroup.rb", "lib/webrick/httpauth/htpasswd.rb", "lib/webrick/httpauth/userdb.rb", "lib/webrick/httpproxy.rb", "lib/webrick/httprequest.rb", "lib/webrick/httpresponse.rb", "lib/webrick/https.rb", "lib/webrick/httpserver.rb", "lib/webrick/httpservlet.rb", "lib/webrick/httpservlet/abstract.rb", "lib/webrick/httpservlet/cgi_runner.rb", "lib/webrick/httpservlet/cgihandler.rb", "lib/webrick/httpservlet/erbhandler.rb", "lib/webrick/httpservlet/filehandler.rb", "lib/webrick/httpservlet/prochandler.rb", "lib/webrick/httpstatus.rb", "lib/webrick/httputils.rb", "lib/webrick/httpversion.rb", "lib/webrick/log.rb", "lib/webrick/server.rb", "lib/webrick/ssl.rb", "lib/webrick/utils.rb", "lib/webrick/version.rb"], @licenses=["BSD-2-Clause"], @metadata={"bug_tracker_uri"=>"https://bugs.ruby-lang.org/projects/ruby-trunk/issues", "homepage_uri"=>"https://www.ruby-lang.org", "source_code_uri"=>"https://svn.ruby-lang.org/repos/ruby"}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada288c908 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada288e320 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil webrick-1.4.2>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>, #<Gem::StubSpecification:0x000055ada2ac7088 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/xmlrpc-0.3.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada2ac5d00 @name="xmlrpc", @version=#<Gem::Version "0.3.0">, @platform="ruby", @extensions=[], @full_name="xmlrpc-0.3.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada2b25e80 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir=nil, @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/gems/ruby-2.5.1@global/specifications/xmlrpc-0.3.0.gemspec", @original_platform=nil, @installed_by_version=#<Gem::Version "2.7.6">, @autorequire=nil, @description="XMLRPC is a lightweight protocol that enables remote procedure calls over HTTP.", @email=["[hidden email]"], @homepage="https://github.com/ruby/xmlrpc", @name="xmlrpc", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="XMLRPC is a lightweight protocol that enables remote procedure calls over HTTP.", @version=#<Gem::Version "0.3.0">, @authors=["SHIBATA Hiroshi"], @bindir="exe", @cert_chain=[], @date=2017-02-16 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="test-unit" requirements=">= 0">], @executables=[], @extensions=[], @extra_rdoc_files=[], @files=[], @licenses=["Ruby"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2b256b0 @requirements=[[">=", #<Gem::Version "2.3">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2b25b10 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name=nil xmlrpc-0.3.0>, @base_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global", @gems_dir="/home/jenkins/.rvm/gems/ruby-2.5.1@global/gems", @default_gem=false>, #<Gem::StubSpecification:0x000055ada289eea0 @extension_dir=nil, @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/zlib-1.0.0.gemspec", @data=#<Gem::StubSpecification::StubLine:0x000055ada281a1f0 @name="zlib", @version=#<Gem::Version "1.0.0">, @platform="ruby", @extensions=["ext/zlib/extconf.rb"], @full_name="zlib-1.0.0", @require_paths=["lib"]>, @name=nil, @spec=#<Gem::Specification:0x000055ada289a148 @extension_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/zlib-1.0.0", @full_gem_path=nil, @gem_dir=nil, @ignored=nil, @bin_dir=nil, @cache_dir=nil, @cache_file=nil, @doc_dir=nil, @ri_dir=nil, @spec_dir=nil, @spec_file=nil, @gems_dir=nil, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @loaded=false, @activated=false, @loaded_from="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/specifications/default/zlib-1.0.0.gemspec", @original_platform=nil, @installed_by_version=nil, @autorequire=nil, @description="Ruby interface for the zlib compression/decompression library", @email=["[hidden email]", nil], @homepage="https://github.com/ruby/zlib", @name="zlib", @post_install_message=nil, @rubyforge_project=nil, @signing_key=nil, @summary="Ruby interface for the zlib compression/decompression library", @version=#<Gem::Version "1.0.0">, @authors=["Yukihiro Matsumoto", "UENO Katsuhiro"], @bindir="exe", @cert_chain=[], @date=2017-12-11 00:00:00 UTC, @dependencies=[<Gem::Dependency type=:development name="bundler" requirements=">= 0">, <Gem::Dependency type=:development name="rake" requirements=">= 0">, <Gem::Dependency type=:development name="rake-compiler" requirements=">= 0">], @executables=[], @extensions=["ext/zlib/extconf.rb"], @extra_rdoc_files=[], @files=[".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/console", "bin/setup", "ext/zlib/extconf.rb", "ext/zlib/zlib.c", "zlib.gemspec"], @licenses=["BSD-2-Clause"], @metadata={}, @platform="ruby", @rdoc_options=[], @require_paths=["lib"], @required_ruby_version=#<Gem::Requirement:0x000055ada2899068 @requirements=[[">=", #<Gem::Version "2.3.0">]]>, @required_rubygems_version=#<Gem::Requirement:0x000055ada2899ae0 @requirements=[[">=", #<Gem::Version "0">]]>, @requirements=[], @rubygems_version="2.7.6", @specification_version=4, @test_files=[], @new_platform="ruby", @full_name="zlib-1.0.0" zlib-1.0.0>, @base_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0", @gems_dir="/home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems", @default_gem=true>] (RuntimeError)
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems/specification.rb:1156:in `latest_specs'
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems.rb:556:in `find_latest_files'
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/executable-hooks-1.5.0/lib/executable-hooks/hooks.rb:19:in `load_executable_plugins'
     [exec]     from /home/jenkins/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/executable-hooks-1.5.0/lib/executable-hooks/hooks.rb:48:in `run'
     [exec]     from /home/jenkins/.rvm/gems/ruby-2.5.1@solr-refguide-gemset/bin/ruby_executable_hooks:10:in `<main>'

BUILD FAILED
/home/jenkins/jenkins-slave/workspace/Solr-reference-guide-master/solr/solr-ref-guide/build.xml:299: exec returned: 1

Total time: 16 seconds
Build step 'Execute shell' marked build as failure
Archiving artifacts
Publishing Javadoc
Email was triggered for: Failure - Any
Sending email for trigger: Failure - Any

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]